List Group

Bootstrap 5 List Group component

Responsive list groups built with the latest Bootstrap 5. List groups are responsive components for displaying a series of content. A beautiful alternative to unordered lists.

List groups are a flexible and powerful component for displaying a series of content. Modify and extend them to support just about any content within.

Note: Read the API tab to find all available options and advanced customization

Required ES init: Tab *
* UMD autoinits are enabled by default. This means that you don't need to initialize the component manually. However if you are using MDBootstrap ES format then you should pass the required components to the initMDB method.

Basic example

The most basic list group is an unordered list with list items and the proper classes. Build upon it with the options that follow, or with your own CSS as needed.

  • An item
  • A second item
  • A third item
  • A fourth item
  • And a fifth one
        
            
          <ul class="list-group list-group-light">
            <li class="list-group-item">An item</li>
            <li class="list-group-item">A second item</li>
            <li class="list-group-item">A third item</li>
            <li class="list-group-item">A fourth item</li>
            <li class="list-group-item">And a fifth one</li>
          </ul>
          
        
    

Small

If you need a more compact list, add a class .list-group-small which will reduce the padding of the items in the list.

  • An item
  • A second item
  • A third item
  • A fourth item
  • And a fifth one
        
            
  
            <ul class="list-group list-group-light list-group-small">
              <li class="list-group-item">An item</li>
              <li class="list-group-item">A second item</li>
              <li class="list-group-item">A third item</li>
              <li class="list-group-item">A fourth item</li>
              <li class="list-group-item">And a fifth one</li>
            </ul>
  
            
        
    

Active items

Add .active to a .list-group-item to indicate the current active selection. You also need to add extra padding with spacing classes to keep the text from sticking to the edge of the list and .border-0 to remove borders between items.

  • An active item
  • A second item
  • A third item
  • A fourth item
  • And a fifth one
        
            
          <ul class="list-group list-group-light">
            <li class="list-group-item px-3 border-0 active" aria-current="true">
              An active item
            </li>
            <li class="list-group-item px-3 border-0">A second item</li>
            <li class="list-group-item px-3 border-0">A third item</li>
            <li class="list-group-item px-3 border-0">A fourth item</li>
            <li class="list-group-item px-3 border-0">And a fifth one</li>
          </ul>
          
        
    

Disabled items

Add .disabled to a .list-group-item to make it appear disabled. Note that some elements with .disabled will also require custom JavaScript to fully disable their click events (e.g., links).

  • An disabled item
  • A second item
  • A third item
  • A fourth item
  • And a fifth one
        
            
            <ul class="list-group list-group-light">
              <li class="list-group-item disabled" aria-disabled="true">An disabled item</li>
              <li class="list-group-item">A second item</li>
              <li class="list-group-item">A third item</li>
              <li class="list-group-item">A fourth item</li>
              <li class="list-group-item">And a fifth one</li>
            </ul>
          
        
    


No borders

Add .border-0 to the items to remove all the borders.

  • An item
  • A second item
  • A third item
  • A fourth item
  • And a fifth one
        
            
                  <ul class="list-group list-group-light">
                    <li class="list-group-item border-0">An item</li>
                    <li class="list-group-item border-0">A second item</li>
                    <li class="list-group-item border-0">A third item</li>
                    <li class="list-group-item border-0">A fourth item</li>
                    <li class="list-group-item border-0">And a fifth one</li>
                  </ul>
                  
        
    

Numbered

Add the .list-group-numbered modifier class (and optionally use an <ol> element) to opt into numbered list group items. Numbers are generated via CSS (as opposed to a <ol>s default browser styling) for better placement inside list group items and to allow for better customization.

Numbers are generated by counter-reset on the <ol>, and then styled and placed with a ::before psuedo-element on the <li> with counter-increment and content.

  1. A list item
  2. A list item
  3. A list item
        
            
              <ol class="list-group list-group-light list-group-numbered">
                <li class="list-group-item">A list item</li>
                <li class="list-group-item">A list item</li>
                <li class="list-group-item">A list item</li>
              </ol>
            
        
    

These work great with custom content as well.

  1. Subheading
    Content for list item
    14
  2. Subheading
    Content for list item
    14
  3. Subheading
    Content for list item
    14
        
            
            <ol class="list-group list-group-light list-group-numbered">
              <li class="list-group-item d-flex justify-content-between align-items-start">
                <div class="ms-2 me-auto">
                  <div class="fw-bold">Subheading</div>
                  Content for list item
                </div>
                <span class="badge badge-primary rounded-pill">14</span>
              </li>
              <li class="list-group-item d-flex justify-content-between align-items-start">
                <div class="ms-2 me-auto">
                  <div class="fw-bold">Subheading</div>
                  Content for list item
                </div>
                <span class="badge badge-primary rounded-pill">14</span>
              </li>
              <li class="list-group-item d-flex justify-content-between align-items-start">
                <div class="ms-2 me-auto">
                  <div class="fw-bold">Subheading</div>
                  Content for list item
                </div>
                <span class="badge badge-primary rounded-pill">14</span>
              </li>
            </ol>
            
        
    

Horizontal

Add .list-group-horizontal to change the layout of list group items from vertical to horizontal across all breakpoints. Alternatively, choose a responsive variant .list-group-horizontal-{sm|md|lg|xl|xxl} to make a list group horizontal starting at that breakpoint’s min-width. Currently horizontal list groups cannot be combined with flush or light list groups.

ProTip: Want equal-width list group items when horizontal? Add .flex-fill to each list group item.

  • An item
  • A second item
  • A third item
  • An item
  • A second item
  • A third item
  • An item
  • A second item
  • A third item
  • An item
  • A second item
  • A third item
  • An item
  • A second item
  • A third item
  • An item
  • A second item
  • A third item
        
            
              <ul class="list-group list-group-horizontal">
                <li class="list-group-item">An item</li>
                <li class="list-group-item">A second item</li>
                <li class="list-group-item">A third item</li>
              </ul>
              <ul class="list-group list-group-horizontal-sm">
                <li class="list-group-item">An item</li>
                <li class="list-group-item">A second item</li>
                <li class="list-group-item">A third item</li>
              </ul>
              <ul class="list-group list-group-horizontal-md">
                <li class="list-group-item">An item</li>
                <li class="list-group-item">A second item</li>
                <li class="list-group-item">A third item</li>
              </ul>
              <ul class="list-group list-group-horizontal-lg">
                <li class="list-group-item">An item</li>
                <li class="list-group-item">A second item</li>
                <li class="list-group-item">A third item</li>
              </ul>
              <ul class="list-group list-group-horizontal-xl">
                <li class="list-group-item">An item</li>
                <li class="list-group-item">A second item</li>
                <li class="list-group-item">A third item</li>
              </ul>
              <ul class="list-group list-group-horizontal-xxl">
                <li class="list-group-item">An item</li>
                <li class="list-group-item">A second item</li>
                <li class="list-group-item">A third item</li>
              </ul>
            
        
    

Contextual classes

Use contextual classes to style list items with a stateful background and color.

  • A simple default list group item
  • A simple primary list group item
  • A simple secondary list group item
  • A simple success list group item
  • A simple danger list group item
  • A simple warning list group item
  • A simple info list group item
  • A simple light list group item
  • A simple dark list group item
        
            
              <ul class="list-group list-group-light">
                <li class="list-group-item px-3 border-0 rounded-3 mb-2">A simple default list group item</li>
                <li class="list-group-item px-3 border-0 rounded-3 list-group-item-primary mb-2">A simple primary list group item</li>
                <li class="list-group-item px-3 border-0 rounded-3 list-group-item-secondary mb-2">A simple secondary list group item</li>
                <li class="list-group-item px-3 border-0 rounded-3 list-group-item-success mb-2">A simple success list group item</li>
                <li class="list-group-item px-3 border-0 rounded-3 list-group-item-danger mb-2">A simple danger list group item</li>
                <li class="list-group-item px-3 border-0 rounded-3 list-group-item-warning mb-2">A simple warning list group item</li>
                <li class="list-group-item px-3 border-0 rounded-3 list-group-item-info mb-2">A simple info list group item</li>
                <li class="list-group-item px-3 border-0 rounded-3 list-group-item-light mb-2">A simple light list group item</li>
                <li class="list-group-item px-3 border-0 rounded-3 list-group-item-dark mb-2">A simple dark list group item</li>
              </ul>
            
        
    

Contextual classes also work with .list-group-item-action. Note the addition of the hover styles here not present in the previous example. Also supported is the .active state; apply it to indicate an active selection on a contextual list group item.

        
            
              <div class="list-group list-group-light">
                <a href="#" class="list-group-item list-group-item-action px-3 border-0 rounded-3 mb-2">
                  A simple default list group item</a>
                <a href="#" class="list-group-item list-group-item-action px-3 border-0 rounded-3 mb-2 list-group-item-primary">
                  A simple primary list group item</a>
                <a href="#" class="list-group-item list-group-item-action px-3 border-0 rounded-3 mb-2 list-group-item-secondary">
                  A simple secondary list group item</a>
                <a href="#" class="list-group-item list-group-item-action px-3 border-0 rounded-3 mb-2 list-group-item-success">
                  A simple success list group item</a>
                <a href="#" class="list-group-item list-group-item-action px-3 border-0 rounded-3 mb-2 list-group-item-danger">
                  A simple danger list group item</a>
                <a href="#" class="list-group-item list-group-item-action px-3 border-0 rounded-3 mb-2 list-group-item-warning">
                  A simple warning list group item</a>
                <a href="#" class="list-group-item list-group-item-action px-3 border-0 rounded-3 mb-2 list-group-item-info">
                  A simple info list group item</a>
                <a href="#" class="list-group-item list-group-item-action px-3 border-0 rounded-3 mb-2 list-group-item-light">
                  A simple light list group item</a>
                <a href="#" class="list-group-item list-group-item-action px-3 border-0 rounded-3 list-group-item-dark">
                   simple dark list group item</a>
              </div>
            
        
    

Conveying meaning to assistive technologies:
Using color to add meaning only provides a visual indication, which will not be conveyed to users of assistive technologies – such as screen readers. Ensure that information denoted by the color is either obvious from the content itself (e.g. the visible text), or is included through alternative means, such as additional text hidden with the .visually-hidden class.


Badges

Add badges to any list group item to show unread counts, activity, and more with the help of some flexbox utilities.

  • A list item 14
  • A second list item 2
  • A third list item 1
        
            
            <ul class="list-group list-group-light">
              <li class="list-group-item d-flex justify-content-between align-items-center">
                A list item
                <span class="badge badge-primary rounded-pill">14</span>
              </li>
              <li class="list-group-item d-flex justify-content-between align-items-center">
                A second list item
                <span class="badge badge-primary rounded-pill">2</span>
              </li>
              <li class="list-group-item d-flex justify-content-between align-items-center">
                A third list item
                <span class="badge badge-primary rounded-pill">1</span>
              </li>
            </ul>
            
        
    

Custom content

Add nearly any HTML within, even for linked list groups like the one below, with the help of flexbox utilities.

  • John Doe
    john.doe@gmail.com
    Active
  • Alex Ray
    alex.ray@gmail.com
    Onboarding
  • Kate Hunington
    kate.hunington@gmail.com
    Awaiting
        
            
            <ul class="list-group list-group-light">
              <li class="list-group-item d-flex justify-content-between align-items-center">
                <div>
                  <div class="fw-bold">John Doe</div>
                  <div class="text-muted">john.doe@gmail.com</div>
                </div>
                <span class="badge rounded-pill badge-success">Active</span>
              </li>
              <li class="list-group-item d-flex justify-content-between align-items-center">
                <div>
                  <div class="fw-bold">Alex Ray</div>
                  <div class="text-muted">alex.ray@gmail.com</div>
                </div>
                <span class="badge rounded-pill badge-primary">Onboarding</span>
              </li>
              <li class="list-group-item d-flex justify-content-between align-items-center">
                <div>
                  <div class="fw-bold">Kate Hunington</div>
                  <div class="text-muted">kate.hunington@gmail.com</div>
                </div>
                <span class="badge rounded-pill badge-warning">Awaiting</span>
              </li>
            </ul>
            
        
    

Checkboxes

Place Bootstrap’s checkboxes and radios within list group items and customize as needed. You can use them without <label>s, but please remember to include an aria-label attribute and value for accessibility.

  • First checkbox
  • Second checkbox
  • Third checkbox
  • Fourth checkbox
  • Fifth checkbox
        
            
              <ul class="list-group list-group-light">
                <li class="list-group-item">
                  <input class="form-check-input me-1" type="checkbox" value="" aria-label="..." />
                  First checkbox
                </li>
                <li class="list-group-item">
                  <input class="form-check-input me-1" type="checkbox" value="" aria-label="..." />
                  Second checkbox
                </li>
                <li class="list-group-item">
                  <input class="form-check-input me-1" type="checkbox" value="" aria-label="..." />
                  Third checkbox
                </li>
                <li class="list-group-item">
                  <input class="form-check-input me-1" type="checkbox" value="" aria-label="..." />
                  Fourth checkbox
                </li>
                <li class="list-group-item">
                  <input class="form-check-input me-1" type="checkbox" value="" aria-label="..." />
                  Fifth checkbox
                </li>
              </ul>
            
        
    

And if you want <label>s as the .list-group-item for large hit areas, you can do that, too.

  •         
                
                  <div class="list-group list-group-light">
                    <li class="list-group-item">
                      <input class="form-check-input" type="checkbox" value="" id="checkboxExample1" />
                      <label class="form-check-label" for="checkboxExample1">First checkbox</label>
                    </li>
                    <li class="list-group-item">
                      <input class="form-check-input" type="checkbox" value="" id="checkboxExample2" />
                      <label class="form-check-label" for="checkboxExample2">Second checkbox</label>
                    </li>
                    <li class="list-group-item">
                      <input class="form-check-input" type="checkbox" value="" id="checkboxExample3" />
                      <label class="form-check-label" for="checkboxExample3">Third checkbox</label>
                    </li>
                    <li class="list-group-item">
                      <input class="form-check-input" type="checkbox" value="" id="checkboxExample4" />
                      <label class="form-check-label" for="checkboxExample4">Fourth checkbox</label>
                    </li>
                    <li class="list-group-item">
                      <input class="form-check-input" type="checkbox" value="" id="checkboxExample5" />
                      <label class="form-check-label" for="checkboxExample5">Fifth checkbox</label>
                    </li>
                  </div>
                
            
        

    JavaScript behavior

    Use the tab JavaScript plugin to extend our list group to create tabbable panes of local content.

            
                
                      <div class="row">
                        <div class="col-4">
                          <div class="list-group list-group-light" id="list-tab" role="tablist">
                            <a class="list-group-item list-group-item-action active px-3 border-0" id="list-home-list"
                              data-mdb-list-init href="#list-home" role="tab" aria-controls="list-home">Home</a>
                            <a class="list-group-item list-group-item-action px-3 border-0" id="list-profile-list"
                              data-mdb-list-init href="#list-profile" role="tab" aria-controls="list-profile">Profile</a>
                            <a class="list-group-item list-group-item-action px-3 border-0" id="list-messages-list"
                              data-mdb-list-init href="#list-messages" role="tab" aria-controls="list-messages">Messages</a>
                            <a class="list-group-item list-group-item-action px-3 border-0" id="list-settings-list"
                              data-mdb-list-init href="#list-settings" role="tab" aria-controls="list-settings">Settings</a>
                          </div>
                        </div>
                        <div class="col-8">
                          <div class="tab-content" id="nav-tabContent">
                            <div class="tab-pane fade show active" id="list-home" role="tabpanel"
                              aria-labelledby="list-home-list">
                              Some placeholder content in a paragraph relating to "Home". And some more content, used here just to
                              pad out and fill this tab panel. In production, you would obviously have more real content here. And
                              not just text. It could be anything, really. Text, images, forms.
                            </div>
                            <div class="tab-pane fade" id="list-profile" role="tabpanel" aria-labelledby="list-profile-list">
                              Some placeholder content in a paragraph relating to "Profile". And some more content, used here just
                              to pad out and fill this tab panel. In production, you would obviously have more real content here.
                              And not just text. It could be anything, really. Text, images, forms.
                            </div>
                            <div class="tab-pane fade" id="list-messages" role="tabpanel" aria-labelledby="list-messages-list">
                              Some placeholder content in a paragraph relating to "Messages". And some more content, used here
                              just to pad out and fill this tab panel. In production, you would obviously have more real content
                              here. And not just text. It could be anything, really. Text, images, forms.
                            </div>
                            <div class="tab-pane fade" id="list-settings" role="tabpanel" aria-labelledby="list-settings-list">
                              Some placeholder content in a paragraph relating to "Settings". And some more content, used here
                              just to pad out and fill this tab panel. In production, you would obviously have more real content
                              here. And not just text. It could be anything, really. Text, images, forms.
                            </div>
                          </div>
                        </div>
                      </div>
                      
            
        
            
                
                      // Initialization for ES Users
                        import { Tab, initMDB } from "mdb-ui-kit";
                        
                        initMDB({ Tab });
                    
            
        

    Fade effect

    To make tabs panel fade in, add .fade to each .tab-pane. The first tab pane must also have .show to make the initial content visible.

            
                
                    <div class="tab-content">
                      <div class="tab-pane fade show active" id="home" role="tabpanel">...</div>
                      <div class="tab-pane fade" id="profile" role="tabpanel">...</div>
                      <div class="tab-pane fade" id="messages" role="tabpanel">...</div>
                      <div class="tab-pane fade" id="settings" role="tabpanel">...</div>
                    </div>
                  
            
        

    Additional examples

    A few additional, practical examples with different types of content and elements.

    Images

    • John Doe

      john.doe@gmail.com

      Active
    • Alex Ray

      alex.ray@gmail.com

      Onboarding
    • Kate Hunington

      kate.hunington@gmail.com

      Awaiting
            
                
           
                    <ul class="list-group list-group-light">
                      <li class="list-group-item d-flex justify-content-between align-items-center">
                        <div class="d-flex align-items-center">
                          <img src="https://mdbootstrap.com/img/new/avatars/8.jpg" alt="" style="width: 45px; height: 45px"
                            class="rounded-circle" />
                          <div class="ms-3">
                            <p class="fw-bold mb-1">John Doe</p>
                            <p class="text-muted mb-0">john.doe@gmail.com</p>
                          </div>
                        </div>
                        <span class="badge rounded-pill badge-success">Active</span>
                      </li>
                      <li class="list-group-item d-flex justify-content-between align-items-center">
                        <div class="d-flex align-items-center">
                          <img src="https://mdbootstrap.com/img/new/avatars/6.jpg" class="rounded-circle" alt=""
                            style="width: 45px; height: 45px" />
                          <div class="ms-3">
                            <p class="fw-bold mb-1">Alex Ray</p>
                            <p class="text-muted mb-0">alex.ray@gmail.com</p>
                          </div>
                        </div>
                        <span class="badge rounded-pill badge-primary">Onboarding</span>
                      </li>
                      <li class="list-group-item d-flex justify-content-between align-items-center">
                        <div class="d-flex align-items-center">
                          <img src="https://mdbootstrap.com/img/new/avatars/7.jpg" class="rounded-circle" alt=""
                            style="width: 45px; height: 45px" />
                          <div class="ms-3">
                            <p class="fw-bold mb-1">Kate Hunington</p>
                            <p class="text-muted mb-0">kate.hunington@gmail.com</p>
                          </div>
                        </div>
                        <span class="badge rounded-pill badge-warning">Awaiting</span>
                      </li>
                    </ul>
           
                     
            
        

    Headings

    Marketing team
    • John Doe

      john.doe@gmail.com

    • Alex Ray

      alex.ray@gmail.com

    • Kate Hunington

      kate.hunington@gmail.com

    Design team
    • Soraya Letto

      soraya.letto@gmail.com

    • Zeynep Dudley

      zeynep.dudley@gmail.com

    • Ayat Black

      ayat.black@gmail.com

            
                
           
                    <h6 class="bg-body-tertiary p-2 border-top border-bottom">Marketing team</h6>
                    
                    <ul class="list-group list-group-light mb-4">
                      <li class="list-group-item d-flex justify-content-between align-items-center">
                        <div class="d-flex align-items-center">
                          <img src="https://mdbootstrap.com/img/new/avatars/8.jpg" alt="" style="width: 45px; height: 45px"
                            class="rounded-circle" />
                          <div class="ms-3">
                            <p class="fw-bold mb-1">John Doe</p>
                            <p class="text-muted mb-0">john.doe@gmail.com</p>
                          </div>
                        </div>
                      </li>
                      <li class="list-group-item d-flex justify-content-between align-items-center">
                        <div class="d-flex align-items-center">
                          <img src="https://mdbootstrap.com/img/new/avatars/6.jpg" class="rounded-circle" alt=""
                            style="width: 45px; height: 45px" />
                          <div class="ms-3">
                            <p class="fw-bold mb-1">Alex Ray</p>
                            <p class="text-muted mb-0">alex.ray@gmail.com</p>
                          </div>
                        </div>
                      </li>
                      <li class="list-group-item d-flex justify-content-between align-items-center">
                        <div class="d-flex align-items-center">
                          <img src="https://mdbootstrap.com/img/new/avatars/7.jpg" class="rounded-circle" alt=""
                            style="width: 45px; height: 45px" />
                          <div class="ms-3">
                            <p class="fw-bold mb-1">Kate Hunington</p>
                            <p class="text-muted mb-0">kate.hunington@gmail.com</p>
                          </div>
                        </div>
                      </li>
                    </ul>
                    
                    <h6 class="bg-body-tertiary p-2 border-top border-bottom">Design team</h6>
                    
                    <ul class="list-group list-group-light">
                      <li class="list-group-item d-flex justify-content-between align-items-center">
                        <div class="d-flex align-items-center">
                          <img src="https://mdbootstrap.com/img/new/avatars/9.jpg" alt="" style="width: 45px; height: 45px"
                            class="rounded-circle" />
                          <div class="ms-3">
                            <p class="fw-bold mb-1">Soraya Letto</p>
                            <p class="text-muted mb-0">soraya.letto@gmail.com</p>
                          </div>
                        </div>
                      </li>
                      <li class="list-group-item d-flex justify-content-between align-items-center">
                        <div class="d-flex align-items-center">
                          <img src="https://mdbootstrap.com/img/new/avatars/11.jpg" class="rounded-circle" alt=""
                            style="width: 45px; height: 45px" />
                          <div class="ms-3">
                            <p class="fw-bold mb-1">Zeynep Dudley</p>
                            <p class="text-muted mb-0">zeynep.dudley@gmail.com</p>
                          </div>
                        </div>
                      </li>
                      <li class="list-group-item d-flex justify-content-between align-items-center">
                        <div class="d-flex align-items-center">
                          <img src="https://mdbootstrap.com/img/new/avatars/15.jpg" class="rounded-circle" alt=""
                            style="width: 45px; height: 45px" />
                          <div class="ms-3">
                            <p class="fw-bold mb-1">Ayat Black</p>
                            <p class="text-muted mb-0">ayat.black@gmail.com</p>
                          </div>
                        </div>
                      </li>
                    </ul>
           
                     
            
        

    Action buttons

    • John Doe

      john.doe@gmail.com

      View
    • Alex Ray

      alex.ray@gmail.com

      View
    • Kate Hunington

      kate.hunington@gmail.com

      View
            
                
           
                    <ul class="list-group list-group-light">
                      <li class="list-group-item d-flex justify-content-between align-items-center">
                        <div class="d-flex align-items-center">
                          <img src="https://mdbootstrap.com/img/new/avatars/8.jpg" alt="" style="width: 45px; height: 45px"
                            class="rounded-circle" />
                          <div class="ms-3">
                            <p class="fw-bold mb-1">John Doe</p>
                            <p class="text-muted mb-0">john.doe@gmail.com</p>
                          </div>
                        </div>
                        <a class="btn btn-link btn-rounded btn-sm" href="#" role="button">View</a>
                      </li>
                      <li class="list-group-item d-flex justify-content-between align-items-center">
                        <div class="d-flex align-items-center">
                          <img src="https://mdbootstrap.com/img/new/avatars/6.jpg" class="rounded-circle" alt=""
                            style="width: 45px; height: 45px" />
                          <div class="ms-3">
                            <p class="fw-bold mb-1">Alex Ray</p>
                            <p class="text-muted mb-0">alex.ray@gmail.com</p>
                          </div>
                        </div>
                        <a class="btn btn-link btn-rounded btn-sm" href="#" role="button">View</a>
                      </li>
                      <li class="list-group-item d-flex justify-content-between align-items-center">
                        <div class="d-flex align-items-center">
                          <img src="https://mdbootstrap.com/img/new/avatars/7.jpg" class="rounded-circle" alt=""
                            style="width: 45px; height: 45px" />
                          <div class="ms-3">
                            <p class="fw-bold mb-1">Kate Hunington</p>
                            <p class="text-muted mb-0">kate.hunington@gmail.com</p>
                          </div>
                        </div>
                    
                        <a class="btn btn-link btn-rounded btn-sm" href="#" role="button">View</a>
                      </li>
                    </ul>
           
                     
            
        
            
                
                      // Initialization for ES Users
                      import { Ripple, initMDB } from "mdb-ui-kit";
                    
                      initMDB({ Ripple });
                     
            
        

    CTA

    • Our company starts its operations

      11 March 2020

      Some placeholder content in a paragraph relating to "Our company starts its operations". And some more content, used here just to pad out and fill this tab panel. In production, you would obviously have more real content here. And not just text. It could be anything, really. Text, images, forms.

    • First customer

      19 March 2020

      Some placeholder content in a paragraph relating to "First customer". And some more content, used here just to pad out and fill this tab panel. In production, you would obviously have more real content here. And not just text. It could be anything, really. Text, images, forms.

    • Our team exceeds 10 people

      24 June 2020

      Some placeholder content in a paragraph relating to "Our team exceeds 10 people". And some more content, used here just to pad out and fill this tab panel. In production, you would obviously have more real content here. And not just text. It could be anything, really. Text, images, forms.

    View all
            
                
           
                    <ul class="list-group list-group-light mb-3">
                      <li class="list-group-item">
                        <h5 class="fw-bold">Our company starts its operations</h5>
                        <p class="text-muted mb-2 fw-bold">11 March 2020</p>
                        <p class="text-muted mb-0">
                          Some placeholder content in a paragraph relating to "Our company starts its operations". And some
                          more content, used here just to pad out and fill this tab panel. In production, you would obviously
                          have more real content here. And not just text. It could be anything, really. Text, images, forms.
                        </p>
                        </li>
                        <li class="list-group-item">
                          <h5 class="fw-bold">First customer</h5>
                          <p class="text-muted mb-2 fw-bold">19 March 2020</p>
                          <p class="text-muted mb-0">
                            Some placeholder content in a paragraph relating to "First customer". And some more content,
                            used here just to pad out and fill this tab panel. In production, you would obviously have more real
                            content here. And not just text. It could be anything, really. Text, images, forms.
                          </p>
                        </li>
                        <li class="list-group-item">
                          <h5 class="fw-bold">Our team exceeds 10 people</h5>
                          <p class="text-muted mb-2 fw-bold">24 June 2020</p>
                          <p class="text-muted mb-0">
                            Some placeholder content in a paragraph relating to "Our team exceeds 10 people". And some more
                            content, used here just to pad out and fill this tab panel. In production, you would obviously
                            have more real content here. And not just text. It could be anything, really. Text, images, forms.
                          </p>
                      </li>
                    </ul>
                    <a class="btn btn-outline-dark btn-rounded w-100" href="#" role="button" data-mdb-ripple-init data-ripple-color="dark">View all</a>
           
                     
            
        
            
                
                     // Initialization for ES Users
                     import { Ripple, initMDB } from "mdb-ui-kit";
                   
                     initMDB({ Ripple });
                     
            
        

    Grid list

    John Doe

    john.doe@gmail.com

    Alex Ray

    alex.ray@gmail.com

    Kate Hunington

    kate.hunington@gmail.com

    Soraya Letto

    soraya.letto@gmail.com

    Zeynep Dudley

    zeynep.dudley@gmail.com

    Ayat Black

    ayat.black@gmail.com

            
                
           
                     <div class="row">
                      <div class="col-xl-4 col-lg-6 mb-4">
                        <div class="card">
                          <div class="card-body">
                            <div class="d-flex align-items-center">
                              <img
                                src="https://mdbootstrap.com/img/new/avatars/8.jpg"
                                alt=""
                                style="width: 45px; height: 45px"
                                class="rounded-circle"
                              />
                              <div class="ms-3">
                                <p class="fw-bold mb-1">John Doe</p>
                                <p class="text-muted mb-0">john.doe@gmail.com</p>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                      <div class="col-xl-4 col-lg-6 mb-4">
                        <div class="card">
                          <div class="card-body">
                            <div class="d-flex align-items-center">
                              <img
                                src="https://mdbootstrap.com/img/new/avatars/6.jpg"
                                alt=""
                                style="width: 45px; height: 45px"
                                class="rounded-circle"
                              />
                              <div class="ms-3">
                                <p class="fw-bold mb-1">Alex Ray</p>
                                <p class="text-muted mb-0">alex.ray@gmail.com</p>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                      <div class="col-xl-4 col-lg-6 mb-4">
                        <div class="card">
                          <div class="card-body">
                            <div class="d-flex align-items-center">
                              <img
                                src="https://mdbootstrap.com/img/new/avatars/7.jpg"
                                alt=""
                                style="width: 45px; height: 45px"
                                class="rounded-circle"
                              />
                              <div class="ms-3">
                                <p class="fw-bold mb-1">Kate Hunington</p>
                                <p class="text-muted mb-0">kate.hunington@gmail.com</p>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                      <div class="col-xl-4 col-lg-6 mb-4">
                        <div class="card">
                          <div class="card-body">
                            <div class="d-flex align-items-center">
                              <img
                                src="https://mdbootstrap.com/img/new/avatars/9.jpg"
                                alt=""
                                style="width: 45px; height: 45px"
                                class="rounded-circle"
                              />
                              <div class="ms-3">
                                <p class="fw-bold mb-1">Soraya Letto</p>
                                <p class="text-muted mb-0">soraya.letto@gmail.com</p>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                      <div class="col-xl-4 col-lg-6 mb-4">
                        <div class="card">
                          <div class="card-body">
                            <div class="d-flex align-items-center">
                              <img
                                src="https://mdbootstrap.com/img/new/avatars/11.jpg"
                                alt=""
                                style="width: 45px; height: 45px"
                                class="rounded-circle"
                              />
                              <div class="ms-3">
                                <p class="fw-bold mb-1">Zeynep Dudley</p>
                                <p class="text-muted mb-0">zeynep.dudley@gmail.com</p>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                      <div class="col-xl-4 col-lg-6 mb-4">
                        <div class="card">
                          <div class="card-body">
                            <div class="d-flex align-items-center">
                              <img
                                src="https://mdbootstrap.com/img/new/avatars/15.jpg"
                                alt=""
                                style="width: 45px; height: 45px"
                                class="rounded-circle"
                              />
                              <div class="ms-3">
                                <p class="fw-bold mb-1">Ayat Black</p>
                                <p class="text-muted mb-0">ayat.black@gmail.com</p>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
           
                     
            
        

    Complex grid list

    John Doe

    john.doe@gmail.com

    Active

    Alex Ray

    alex.ray@gmail.com

    Onboarding

    Kate Hunington

    kate.hunington@gmail.com

    Awaiting

    Michael Bale

    michael.bale@gmail.com

    Removed
            
                
           
                     <div class="row">
                      <div class="col-xl-6 mb-4">
                        <div class="card">
                          <div class="card-body">
                            <div class="d-flex justify-content-between align-items-center">
                              <div class="d-flex align-items-center">
                                <img
                                  src="https://mdbootstrap.com/img/new/avatars/8.jpg"
                                  alt=""
                                  style="width: 45px; height: 45px"
                                  class="rounded-circle"
                                />
                                <div class="ms-3">
                                  <p class="fw-bold mb-1">John Doe</p>
                                  <p class="text-muted mb-0">john.doe@gmail.com</p>
                                </div>
                              </div>
                              <span class="badge rounded-pill badge-success">Active</span>
                            </div>
                          </div>
                          <div
                            class="card-footer border-0 bg-body-tertiary p-2 d-flex justify-content-around"
                          >
                            <a
                              class="btn btn-link m-0 text-reset"
                              href="#"
                              role="button"
                              data-ripple-color="primary"
                              data-mdb-ripple-init
                              >Message<i class="fas fa-envelope ms-2"></i
                            ></a>
                            <a
                              class="btn btn-link m-0 text-reset"
                              href="#"
                              role="button"
                              data-ripple-color="primary"
                              data-mdb-ripple-init
                              >Call<i class="fas fa-phone ms-2"></i
                            ></a>
                          </div>
                        </div>
                      </div>
                      <div class="col-xl-6 mb-4">
                        <div class="card">
                          <div class="card-body">
                            <div class="d-flex justify-content-between align-items-center">
                              <div class="d-flex align-items-center">
                                <img
                                  src="https://mdbootstrap.com/img/new/avatars/6.jpg"
                                  alt=""
                                  style="width: 45px; height: 45px"
                                  class="rounded-circle"
                                />
                                <div class="ms-3">
                                  <p class="fw-bold mb-1">Alex Ray</p>
                                  <p class="text-muted mb-0">alex.ray@gmail.com</p>
                                </div>
                              </div>
                              <span class="badge rounded-pill badge-primary"
                                >Onboarding</span
                              >
                            </div>
                          </div>
                          <div
                            class="card-footer border-0 bg-body-tertiary p-2 d-flex justify-content-around"
                          >
                            <a
                              class="btn btn-link m-0 text-reset"
                              href="#"
                              role="button"
                              data-ripple-color="primary"
                              data-mdb-ripple-init
                              >Message<i class="fas fa-envelope ms-2"></i
                            ></a>
                            <a
                              class="btn btn-link m-0 text-reset"
                              href="#"
                              role="button"
                              data-ripple-color="primary"
                              data-mdb-ripple-init
                              >Call<i class="fas fa-phone ms-2"></i
                            ></a>
                          </div>
                        </div>
                      </div>
                      <div class="col-xl-6 mb-4">
                        <div class="card">
                          <div class="card-body">
                            <div class="d-flex justify-content-between align-items-center">
                              <div class="d-flex align-items-center">
                                <img
                                  src="https://mdbootstrap.com/img/new/avatars/7.jpg"
                                  alt=""
                                  style="width: 45px; height: 45px"
                                  class="rounded-circle"
                                />
                                <div class="ms-3">
                                  <p class="fw-bold mb-1">Kate Hunington</p>
                                  <p class="text-muted mb-0">kate.hunington@gmail.com</p>
                                </div>
                              </div>
                              <span class="badge rounded-pill badge-warning">Awaiting</span>
                            </div>
                          </div>
                          <div
                            class="card-footer border-0 bg-body-tertiary p-2 d-flex justify-content-around"
                          >
                            <a
                              class="btn btn-link m-0 text-reset"
                              href="#"
                              role="button"
                              data-ripple-color="primary"
                              data-mdb-ripple-init
                              >Message<i class="fas fa-envelope ms-2"></i
                            ></a>
                            <a
                              class="btn btn-link m-0 text-reset"
                              href="#"
                              role="button"
                              data-ripple-color="primary"
                              data-mdb-ripple-init
                              >Call<i class="fas fa-phone ms-2"></i
                            ></a>
                          </div>
                        </div>
                      </div>
                      <div class="col-xl-6 mb-4">
                        <div class="card">
                          <div class="card-body">
                            <div class="d-flex justify-content-between align-items-center">
                              <div class="d-flex align-items-center">
                                <img
                                  src="https://mdbootstrap.com/img/new/avatars/3.jpg"
                                  alt=""
                                  style="width: 45px; height: 45px"
                                  class="rounded-circle"
                                />
                                <div class="ms-3">
                                  <p class="fw-bold mb-1">Michael Bale</p>
                                  <p class="text-muted mb-0">michael.bale@gmail.com</p>
                                </div>
                              </div>
                              <span class="badge rounded-pill badge-danger">Removed</span>
                            </div>
                          </div>
                          <div
                            class="card-footer border-0 bg-body-tertiary p-2 d-flex justify-content-around"
                          >
                            <a
                              class="btn btn-link m-0 text-reset"
                              href="#"
                              role="button"
                              data-ripple-color="primary"
                              data-mdb-ripple-init
                              >Message<i class="fas fa-envelope ms-2"></i
                            ></a>
                            <a
                              class="btn btn-link m-0 text-reset"
                              href="#"
                              role="button"
                              data-ripple-color="primary"
                              data-mdb-ripple-init
                              >Call<i class="fas fa-phone ms-2"></i
                            ></a>
                          </div>
                        </div>
                      </div>
                    </div>
           
                     
            
        
            
                
                     // Initialization for ES Users
                     import { Ripple, initMDB } from "mdb-ui-kit";
                   
                     initMDB({ Ripple });
                     
            
        

    TAILWIND

    GIFT for 2026

    Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

    List Group - API


    Import

    Importing components depends on how your application works. If you intend to use the MDBootstrap ES format, you must first import the component and then initialize it with the initMDB method. If you are going to use the UMD format, just import the mdb-ui-kit package.

            
                
              import { Tab, initMDB } from "mdb-ui-kit";
              
              initMDB({ Tab });
            
            
        
            
                
              import "mdb-ui-kit"
            
            
        

    Usage

    Using data attributes

    Using the List Group component doesn't require any additional JavaScript code - simply add data-mdb-list-init attribute to every .list-group-item and use other data attributes to set all options. For ES format, you must first import and call the initMDB method.

            
                
                <!-- List group -->
                <div class="list-group" id="myList" role="tablist">
                  <a class="list-group-item list-group-item-action active" data-mdb-list-init href="#home" role="tab">Home</a>
                  <a class="list-group-item list-group-item-action" data-mdb-list-init href="#profile" role="tab">Profile</a>
                  <a class="list-group-item list-group-item-action" data-mdb-list-init href="#messages" role="tab">Messages</a>
                  <a class="list-group-item list-group-item-action" data-mdb-list-init href="#settings" role="tab">Settings</a>
                </div>
    
                <!-- Tab panes -->
                <div class="tab-content">
                  <div class="tab-pane active" id="home" role="tabpanel">...</div>
                  <div class="tab-pane" id="profile" role="tabpanel">...</div>
                  <div class="tab-pane" id="messages" role="tabpanel">...</div>
                  <div class="tab-pane" id="settings" role="tabpanel">...</div>
                </div>
              
            
        

    Via JavaScript

    Enable tabbable list item via JavaScript (each list item needs to be activated individually):

            
                
                const triggerTabList = [].slice.call(document.querySelectorAll('#myTab a'))
                triggerTabList.forEach((triggerEl) => {
                  const tabTrigger = new Tab(triggerEl)
    
                  triggerEl.addEventListener('click', (e) => {
                    e.preventDefault()
                    tabTrigger.show()
                  })
                })
                
            
        
            
                
                const triggerTabList = [].slice.call(document.querySelectorAll('#myTab a'))
                triggerTabList.forEach((triggerEl) => {
                  const tabTrigger = new mdb.Tab(triggerEl)
    
                  triggerEl.addEventListener('click', (e) => {
                    e.preventDefault()
                    tabTrigger.show()
                  })
                })
              
            
        

    You can activate individual list item in several ways:

            
                
                const triggerEl = document.querySelector('#myTab a[href="#profile"]');
                Tab.getInstance(triggerEl).show() 
                
                const triggerFirstTabEl = document.querySelector('#myTab li:first-child a')
                Tab.getInstance(triggerFirstTabEl).show() 
              
            
        
            
                
                const triggerEl = document.querySelector('#myTab a[href="#profile"]');
                mdb.Tab.getInstance(triggerEl).show() 
                
                const triggerFirstTabEl = document.querySelector('#myTab li:first-child a')
                mdb.Tab.getInstance(triggerFirstTabEl).show() 
              
            
        

    Methods

    Method Description Example
    show Selects the given list item and shows its associated pane. Any other list item that was previously selected becomes unselected and its associated pane is hidden. Returns to the caller before the tab pane has actually been shown (for example, before the shown.mdb.tab event occurs). instance.show()
    dispose Destroys an element’s tab. instance.dispose()
    getInstance Static method which allows you to get the tab instance associated with a DOM element. Tab.getInstance()
    getOrCreateInstance Static method which allows you to get the tab instance associated with a DOM element or create a new one in case it wasn't initialized. Tab.getOrCreateInstance()
            
                
                const triggerEl = document.querySelector('#trigger')
                const tab = new Tab(triggerEl);
                tab.show()
              
            
        
            
                
                const triggerEl = document.querySelector('#trigger')
                const tab = new mdb.Tab(triggerEl);
                tab.show()
              
            
        

    Events

    When showing a new tab, the events fire in the following order:

    1. hide.mdb.tab (on the current active tab)
    2. show.mdb.tab (on the to-be-shown tab)
    3. hidden.mdb.tab (on the previous active tab, the same one as for the hide.mdb.tab event)
    4. shown.mdb.tab (on the newly-active just-shown tab, the same one as for the show.mdb.tab event)

    If no tab was already active, the hide.mdb.tab and hidden.mdb.tab events will not be fired.

    Event type Description
    show.mdb.tab This event fires on tab show, but before the new tab has been shown. Use event.target and event.relatedTarget to target the active tab and the previous active tab (if available) respectively.
    shown.mdb.tab This event fires on tab show after a tab has been shown. Use event.target and event.relatedTarget to target the active tab and the previous active tab (if available) respectively.
    hide.mdb.tab This event fires when a new tab is to be shown (and thus the previous active tab is to be hidden). Use event.target and event.relatedTarget to target the current active tab and the new soon-to-be-active tab, respectively.
    hidden.mdb.tab This event fires after a new tab is shown (and thus the previous active tab is hidden). Use event.target and event.relatedTarget to target the previous active tab and the new active tab, respectively.
            
                
                const tabEls = document.querySelectorAll('.list-group-item')
                tabEls.forEach((tabEl) => {
                  tabEl.addEventListener('shown.mdb.tab', (e) => {
                    console.log(e.target) // newly activated tab
                    console.log(e.relatedTarget) // previous active tab
                  })
                })
              
            
        

    CSS variables

    As part of MDB’s evolving CSS variables approach, list group now uses local CSS variables on .list-group for enhanced real-time customization. Values for the CSS variables are set via Sass, so Sass customization is still supported, too.

            
                
                // .list-group
                --#{$prefix}list-group-color: #{$list-group-color};
                --#{$prefix}list-group-bg: #{$list-group-bg};
                --#{$prefix}list-group-border-color: #{$list-group-border-color};
                --#{$prefix}list-group-border-width: #{$list-group-border-width};
                --#{$prefix}list-group-border-radius: #{$list-group-border-radius};
                --#{$prefix}list-group-item-padding-x: #{$list-group-item-padding-x};
                --#{$prefix}list-group-item-padding-y: #{$list-group-item-padding-y};
                --#{$prefix}list-group-item-transition-time: #{$list-group-item-transition-time};
                --#{$prefix}list-group-action-color: #{$list-group-action-color};
                --#{$prefix}list-group-action-hover-color: #{$list-group-action-hover-color};
                --#{$prefix}list-group-action-hover-bg: #{$list-group-hover-bg};
                --#{$prefix}list-group-action-active-color: #{$list-group-action-active-color};
                --#{$prefix}list-group-action-active-bg: #{$list-group-action-active-bg};
                --#{$prefix}list-group-disabled-color: #{$list-group-disabled-color};
                --#{$prefix}list-group-disabled-bg: #{$list-group-disabled-bg};
                --#{$prefix}list-group-active-color: #{$list-group-active-color};
                --#{$prefix}list-group-active-bg: #{$list-group-active-bg};
                --#{$prefix}list-group-active-border-color: #{$list-group-active-border-color};
    
                // .list-group-item
                --#{$prefix}list-group-item-active-margin-top: #{$list-group-active-margin-top};
    
                // .list-group-light
                --#{$prefix}list-group-light-item-py: #{$list-group-light-item-py};
                --#{$prefix}list-group-light-item-border: #{$list-group-light-item-border};
                --#{$prefix}list-group-light-item-border-width: #{$list-group-light-item-border-width};
                --#{$prefix}list-group-light-active-border-radius: #{$list-group-light-active-border-radius};
                --#{$prefix}list-group-light-active-bg: #{$list-group-light-active-bg};
                --#{$prefix}list-group-light-active-color: #{$list-group-light-active-color};
                
                // .list-group-small
                --#{$prefix}list-group-small-item-py: #{$list-group-small-item-py};
              
            
        

    SCSS variables

            
                
                $list-group-border-color: var(--#{$prefix}border-color);
                $list-group-border-width: var(--#{$prefix}border-width);
                $list-group-border-radius: $border-radius-lg;
                $list-group-item-padding-x: 1.5rem;
                $list-group-item-padding-y: $spacer * 0.5;
                $list-group-item-bg-scale: -80%;
                $list-group-item-color-scale: 40%;
                $list-group-item-transition-time: 0.5s;
                $list-group-color: var(--#{$prefix}body-color);
                $list-group-light-item-py: 1rem;
                $list-group-light-item-border: 2px solid var(--#{$prefix}divider-color);
                $list-group-light-item-border-width: 2px;
                $list-group-light-active-border-radius: 0.5rem;
                $list-group-light-active-bg: var(--#{$prefix}primary-bg-subtle);
                $list-group-light-active-color: var(--#{$prefix}primary-text-emphasis);
                $list-group-active-margin-top: 0;
                $list-group-small-item-py: 0.5rem;
                $list-group-active-bg: rgb(223, 231, 246);
                $list-group-active-color: rgb(44, 88, 160);
                $list-group-active-border-color: $list-group-active-bg;
                $list-group-color: $gray-900;
                $list-group-bg: transparent;
                $list-group-hover-bg: var(--#{$prefix}tertiary-bg);
                $list-group-active-color: $component-active-color;
                $list-group-active-bg: $component-active-bg;
                $list-group-active-border-color: $list-group-active-bg;
                
                $list-group-disabled-color: var(--#{$prefix}secondary-color);
                $list-group-disabled-bg: $list-group-bg;
                
                $list-group-action-color: var(--#{$prefix}secondary-color);
                $list-group-action-hover-color: var(--#{$prefix}emphasis-color);
                
                $list-group-action-active-color: var(--#{$prefix}body-color);
                $list-group-action-active-bg: var(--#{$prefix}secondary-bg);

List group

Vue Bootstrap 5 List group component

Responsive Vue List group built with the latest Bootstrap 5. Multiple code examples, a user-friendly guide, extensive API, and customization tools.

List groups are a flexible and powerful component for displaying a series of content. Modify and extend them to support just about any content within.

Note: Read the API tab to find all available options and advanced customization


Basic example

The most basic list group is an unordered list with list items and the proper classes. Build upon it with the options that follow, or with your own CSS as needed.

  • An item
  • A second item
  • A third item
  • A fourth item
  • And a fifth one
        
            
            <template>
              <MDBListGroup light>
                <MDBListGroupItem>An item</MDBListGroupItem>
                <MDBListGroupItem>A second item</MDBListGroupItem>
                <MDBListGroupItem>A third item</MDBListGroupItem>
                <MDBListGroupItem>A fourth item</MDBListGroupItem>
                <MDBListGroupItem>And a fifth one</MDBListGroupItem>
              </MDBListGroup>
            </template>
          
        
    
        
            
            <script>
              import { MDBListGroup, MDBListGroupItem } from "mdb-vue-ui-kit";
              export default {
                components: {
                  MDBListGroup,
                  MDBListGroupItem
                }
              };
            </script>
          
        
    
        
            
          <script setup lang="ts">
            import { MDBListGroup, MDBListGroupItem } from "mdb-vue-ui-kit";
          </script>
        
        
    

Small

If you need a more compact list, add small prop to a MDBListGroup which will reduce the padding of the items in the list.

  • An item
  • A second item
  • A third item
  • A fourth item
  • And a fifth one
        
            
            <template>
              <MDBListGroup light small>
                <MDBListGroupItem>An item</MDBListGroupItem>
                <MDBListGroupItem>A second item</MDBListGroupItem>
                <MDBListGroupItem>A third item</MDBListGroupItem>
                <MDBListGroupItem>A fourth item</MDBListGroupItem>
                <MDBListGroupItem>And a fifth one</MDBListGroupItem>
              </MDBListGroup>
            </template>
          
        
    
        
            
            <script>
              import { MDBListGroup, MDBListGroupItem } from "mdb-vue-ui-kit";
              export default {
                components: {
                  MDBListGroup,
                  MDBListGroupItem
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBListGroup, MDBListGroupItem } from "mdb-vue-ui-kit";
            </script>
          
        
    

Active items

Add active prop to a MDBListGroupItem to indicate the current active selection. You also need to add extra spacing prop to MDBListGroupItem to keep the text from sticking to the edge of the list and noBorder prop to a MDBListGroup remove borders between items.

  • An active item
  • A second item
  • A third item
  • A fourth item
  • And a fifth one
        
            
            <template>
              <MDBListGroup light style="min-width: 22rem">
                <MDBListGroupItem active noBorder spacing>
                  An active item
                </MDBListGroupItem>
                <MDBListGroupItem noBorder spacing>
                  A second item
                </MDBListGroupItem>
                <MDBListGroupItem noBorder spacing>
                  A third item
                </MDBListGroupItem>
                <MDBListGroupItem noBorder spacing>
                  A fourth item
                  </MDBListGroupItem>
                <MDBListGroupItem noBorder spacing>
                  And a fifth one
                  </MDBListGroupItem>
              </MDBListGroup>
            </template>
          
        
    
        
            
            <script>
              import { MDBListGroup, MDBListGroupItem } from "mdb-vue-ui-kit";
              export default {
                components: {
                  MDBListGroup,
                  MDBListGroupItem
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBListGroup, MDBListGroupItem } from "mdb-vue-ui-kit";
            </script>
          
        
    

Disabled items

Add disabled to a MDBListGroupItem to make it appear disabled. Note that some elements with disabled will also require custom JavaScript to fully disable their click events (e.g., links).

  • An disabled item
  • A second item
  • A third item
  • A fourth item
  • And a fifth one
        
            
            <template>
              <MDBListGroup light>
                <MDBListGroupItem disabled>An disabled item</MDBListGroupItem>
                <MDBListGroupItem>A second item</MDBListGroupItem>
                <MDBListGroupItem>A third item</MDBListGroupItem>
                <MDBListGroupItem>A fourth item</MDBListGroupItem>
                <MDBListGroupItem>And a fifth one</MDBListGroupItem>
              </MDBListGroup>
            </template>
          
        
    
        
            
            <script>
              import { MDBListGroup, MDBListGroupItem } from "mdb-vue-ui-kit";
              export default {
                components: {
                  MDBListGroup,
                  MDBListGroupItem
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBListGroup, MDBListGroupItem } from "mdb-vue-ui-kit";
            </script>
          
        
    


No borders

Add noBorder props to the items to remove all the borders.

  • An item
  • A second item
  • A third item
  • A fourth item
  • And a fifth one
        
            
            <template>
              <MDBListGroup light>
                <MDBListGroupItem noBorder>An item</MDBListGroupItem>
                <MDBListGroupItem noBorder>A second item</MDBListGroupItem>
                <MDBListGroupItem noBorder>A third item</MDBListGroupItem>
                <MDBListGroupItem noBorder>A fourth item</MDBListGroupItem>
                <MDBListGroupItem noBorder>And a fifth one</MDBListGroupItem>
              </MDBListGroup>
            </template>
          
        
    
        
            
            <script>
              import { MDBListGroup, MDBListGroupItem } from "mdb-vue-ui-kit";
              export default {
                components: {
                  MDBListGroup,
                  MDBListGroupItem
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBListGroup, MDBListGroupItem } from "mdb-vue-ui-kit";
            </script>
          
        
    

Numbered

Add the numbered property to opt into numbered list group items. Numbers are generated via CSS (as opposed to a <ol>s default browser styling) for better placement inside list group items and to allow for better customization.

Numbers are generated by counter-reset on the <ol>, and then styled and placed with a ::before psuedo-element on the <li> with counter-increment and content.

  1. A list item
  2. A list item
  3. A list item
        
            
            <MDBListGroup light numbered style="min-width: 22rem">
              <MDBListGroupItem>A list item</MDBListGroupItem>
              <MDBListGroupItem>A list item</MDBListGroupItem>
              <MDBListGroupItem>A list item</MDBListGroupItem>
            </MDBListGroup>
          
        
    
        
            
            <script>
              import { MDBListGroup, MDBListGroupItem } from "mdb-vue-ui-kit";
              export default {
                components: {
                  MDBListGroup,
                  MDBListGroupItem
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBListGroup, MDBListGroupItem } from "mdb-vue-ui-kit";
            </script>
          
        
    

These work great with custom content as well.

  1. Subheading
    Content for list item
    14
  2. Subheading
    Content for list item
    14
  3. Subheading
    Content for list item
    14
        
            
            <MDBListGroup light numbered style="min-width: 22rem">
              <MDBListGroupItem
                class="d-flex justify-content-between align-items-start"
              >
                <div class="ms-2 me-auto">
                  <div class="fw-bold">Subheading</div>
                  Content for list item
                </div>
                <MDBBadge class="badge-primary" pill>14</MDBBadge>
              </MDBListGroupItem>
              <MDBListGroupItem
                class="d-flex justify-content-between align-items-start"
              >
                <div class="ms-2 me-auto">
                  <div class="fw-bold">Subheading</div>
                  Content for list item
                </div>
                <MDBBadge class="badge-primary" pill>14</MDBBadge>
              </MDBListGroupItem>
              <MDBListGroupItem
                class="d-flex justify-content-between align-items-start"
              >
                <div class="ms-2 me-auto">
                  <div class="fw-bold">Subheading</div>
                  Content for list item
                </div>
                <MDBBadge class="badge-primary" pill>14</MDBBadge>
              </MDBListGroupItem>
            </MDBListGroup>
          
        
    
        
            
            <script>
              import { MDBListGroup, MDBListGroupItem, MDBBadge } from "mdb-vue-ui-kit";
              export default {
                components: {
                  MDBListGroup,
                  MDBListGroupItem,
                  MDBBadge
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBListGroup, MDBListGroupItem, MDBBadge } from "mdb-vue-ui-kit";
            </script>
          
        
    

Horizontal

Add horizontal to change the layout of list group items from vertical to horizontal across all breakpoints. Alternatively, choose a responsive variant horizontal={sm|md|lg|xl|xxl} to make a list group horizontal starting at that breakpoint’s min-width. Currently horizontal list groups cannot be combined with flush or light list groups.

ProTip: Want equal-width list group items when horizontal? Add .flex-fill to each list group item.

  • An item
  • A second item
  • A third item
  • An item
  • A second item
  • A third item
  • An item
  • A second item
  • A third item
  • An item
  • A second item
  • A third item
  • An item
  • A second item
  • A third item
  • An item
  • A second item
  • A third item
        
            
            <template>
              <MDBListGroup horizontal>
                <MDBListGroupItem>An item</MDBListGroupItem>
                <MDBListGroupItem>A second item</MDBListGroupItem>
                <MDBListGroupItem>A third item</MDBListGroupItem>
              </MDBListGroup>
              <MDBListGroup horizontal="sm">
                <MDBListGroupItem>An item</MDBListGroupItem>
                <MDBListGroupItem>A second item</MDBListGroupItem>
                <MDBListGroupItem>A third item</MDBListGroupItem>
              </MDBListGroup>
              <MDBListGroup horizontal="md">
                <MDBListGroupItem>An item</MDBListGroupItem>
                <MDBListGroupItem>A second item</MDBListGroupItem>
                <MDBListGroupItem>A third item</MDBListGroupItem>
              </MDBListGroup>
              <MDBListGroup horizontal="lg">
                <MDBListGroupItem>An item</MDBListGroupItem>
                <MDBListGroupItem>A second item</MDBListGroupItem>
                <MDBListGroupItem>A third item</MDBListGroupItem>
              </MDBListGroup>
              <MDBListGroup horizontal="xl">
                <MDBListGroupItem>An item</MDBListGroupItem>
                <MDBListGroupItem>A second item</MDBListGroupItem>
                <MDBListGroupItem>A third item</MDBListGroupItem>
              </MDBListGroup>
              <MDBListGroup horizontal="xxl">
                <MDBListGroupItem>An item</MDBListGroupItem>
                <MDBListGroupItem>A second item</MDBListGroupItem>
                <MDBListGroupItem>A third item</MDBListGroupItem>
              </MDBListGroup>
            </template>
          
        
    
        
            
            <script>
              import { MDBListGroup, MDBListGroupItem } from "mdb-vue-ui-kit";
              export default {
                components: {
                  MDBListGroup,
                  MDBListGroupItem
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBListGroup, MDBListGroupItem } from "mdb-vue-ui-kit";
            </script>
          
        
    

Contextual props

Use contextual color props to style list items with a stateful background and color.

  • Dapibus ac facilisis in
  • A simple primary list group item
  • A simple secondary list group item
  • A simple success list group item
  • A simple danger list group item
  • A simple warning list group item
  • A simple info list group item
  • A simple light list group item
  • A simple dark list group item
        
            
            <template>
              <MDBListGroup light>
                <MDBListGroupItem class="rounded-3 mb-2" noBorder spacing>
                  Dapibus ac facilisis in
                </MDBListGroupItem>
                <MDBListGroupItem class="rounded-3 mb-2" color="primary" noBorder spacing>
                  A simple primary list group item
                </MDBListGroupItem>
                <MDBListGroupItem class="rounded-3 mb-2" color="secondary" noBorder spacing>
                  A simple secondary list group item
                </MDBListGroupItem>
                <MDBListGroupItem class="rounded-3 mb-2" color="success" noBorder spacing>
                  A simple success list group item
                </MDBListGroupItem>
                <MDBListGroupItem class="rounded-3 mb-2" color="danger" noBorder spacing>
                  A simple danger list group item
                </MDBListGroupItem>
                <MDBListGroupItem class="rounded-3 mb-2" color="warning" noBorder spacing>
                  A simple warning list group item
                </MDBListGroupItem>
                <MDBListGroupItem class="rounded-3 mb-2" color="info" noBorder spacing>
                  A simple info list group item
                </MDBListGroupItem>
                <MDBListGroupItem class="rounded-3 mb-2" color="light" noBorder spacing>
                  A simple light list group item
                </MDBListGroupItem>
                <MDBListGroupItem class="rounded-3 mb-2" color="dark" noBorder spacing>
                  A simple dark list group item
                </MDBListGroupItem>
              </MDBListGroup>
            </template>
          
        
    
        
            
            <script>
              import { MDBListGroup, MDBListGroupItem } from "mdb-vue-ui-kit";
              export default {
                components: {
                  MDBListGroup,
                  MDBListGroupItem
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBListGroup, MDBListGroupItem } from "mdb-vue-ui-kit";
            </script>
          
        
    

Contextual props also work with MDBListGroupItem action. Note the addition of the hover styles here not present in the previous example. Also supported is the active state; apply it to indicate an active selection on a contextual list group item.

        
            
            <template>
              <MDBListGroup light>
                <MDBListGroupItem class="rounded-3 mb-2" tag="a" href="#" action noBorder spacing>
                  Dapibus ac facilisis in
                </MDBListGroupItem>
                <MDBListGroupItem class="rounded-3 mb-2" tag="a" href="#" action color="primary" noBorder spacing>
                  A simple primary list group item
                </MDBListGroupItem>
                <MDBListGroupItem class="rounded-3 mb-2" tag="a" href="#" action color="secondary" noBorder spacing>
                  A simple secondary list group item
                </MDBListGroupItem>
                <MDBListGroupItem class="rounded-3 mb-2" tag="a" href="#" action color="success" noBorder spacing>
                  A simple success list group item
                </MDBListGroupItem>
                <MDBListGroupItem class="rounded-3 mb-2" tag="a" href="#" action color="danger" noBorder spacing>
                  A simple danger list group item
                </MDBListGroupItem>
                <MDBListGroupItem class="rounded-3 mb-2" tag="a" href="#" action color="warning" noBorder spacing>
                  A simple warning list group item
                </MDBListGroupItem>
                <MDBListGroupItem class="rounded-3 mb-2" tag="a" href="#" action color="info" noBorder spacing>
                  A simple info list group item
                </MDBListGroupItem>
                <MDBListGroupItem class="rounded-3 mb-2" tag="a" href="#" action color="light" noBorder spacing>
                  A simple light list group item
                </MDBListGroupItem>
                <MDBListGroupItem class="rounded-3 mb-2" tag="a" href="#" action color="dark" noBorder spacing>
                  A simple dark list group item
                </MDBListGroupItem>
              </MDBListGroup>
            </template>
          
        
    
        
            
            <script>
              import { MDBListGroup, MDBListGroupItem } from "mdb-vue-ui-kit";
              export default {
                components: {
                  MDBListGroup,
                  MDBListGroupItem
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBListGroup, MDBListGroupItem } from "mdb-vue-ui-kit";
            </script>
          
        
    

Conveying meaning to assistive technologies:
Using color to add meaning only provides a visual indication, which will not be conveyed to users of assistive technologies – such as screen readers. Ensure that information denoted by the color is either obvious from the content itself (e.g. the visible text), or is included through alternative means, such as additional text hidden with the .visually-hidden class.


Badges

Add badges to any list group item to show unread counts, activity, and more with the help of some flexbox utilities.

  • A list item 14
  • A second list item 2
  • A third list item 1
        
            
            <template>
              <MDBListGroup light>
                <MDBListGroupItem class="d-flex justify-content-between align-items-center">A list item
                  <MDBBadge class="badge-primary" pill>14</MDBBadge>
                </MDBListGroupItem>
                <MDBListGroupItem class="d-flex justify-content-between align-items-center">A second list item
                  <MDBBadge class="badge-primary" pill>2</MDBBadge>
                </MDBListGroupItem>
                <MDBListGroupItem class="d-flex justify-content-between align-items-center">A third list item
                  <MDBBadge class="badge-primary" pill>1</MDBBadge>
                </MDBListGroupItem>
              </MDBListGroup>
            </template>
          
        
    
        
            
            <script>
              import { MDBListGroup, MDBListGroupItem, MDBBadge } from "mdb-vue-ui-kit";
              export default {
                components: {
                  MDBListGroup,
                  MDBListGroupItem,
                  MDBBadge
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBListGroup, MDBListGroupItem, MDBBadge } from "mdb-vue-ui-kit";
            </script>
          
        
    

Custom content

Add nearly any HTML within, even for linked list groups like the one below, with the help of flexbox utilities.

  • John Doe
    john.doe@gmail.com
    Active
  • Alex Ray
    alex.ray@gmail.com
    Onboarding
  • Kate Hunington
    kate.hunington@gmail.com
    Awaiting
        
            
            <template>
              <MDBListGroup light>
                <MDBListGroupItem class="d-flex justify-content-between align-items-center">
                  <div>
                    <div class="fw-bold">John Doe</div>
                    <div class="text-muted">john.doe@gmail.com</div>
                  </div>
                  <MDBBadge class="badge-success rounded-pill">Active</MDBBadge>
                </MDBListGroupItem>
                <MDBListGroupItem class="d-flex justify-content-between align-items-center">
                  <div>
                    <div class="fw-bold">Alex Ray</div>
                    <div class="text-muted">alex.ray@gmail.com</div>
                  </div>
                  <MDBBadge class="badge-primary rounded-pill">Onboarding</MDBBadge>
                </MDBListGroupItem>
                <MDBListGroupItem class="d-flex justify-content-between align-items-center">
                  <div>
                    <div class="fw-bold">Kate Hunington</div>
                    <div class="text-muted">kate.hunington@gmail.com</div>
                  </div>
                  <MDBBadge class="badge-warning rounded-pill">Awaiting</MDBBadge>
                </MDBListGroupItem>
              </MDBListGroup>
            </template>
          
        
    
        
            
            <script>
              import { MDBListGroup, MDBListGroupItem } from "mdb-vue-ui-kit";
              export default {
                components: {
                  MDBListGroup,
                  MDBListGroupItem
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBListGroup, MDBListGroupItem } from "mdb-vue-ui-kit";
            </script>
          
        
    

Checkboxes

Place Bootstrap’s checkboxes and radios within list group items and customize as needed. You can use them without <label>s, but please remember to include an aria-label attribute and value for accessibility.

  • First checkbox
  • Second checkbox
  • Third checkbox
  • Fourth checkbox
  • Fifth checkbox
        
            
            <template>
              <MDBListGroup light>
                <MDBListGroupItem>
                  <input class="form-check-input me-1" type="checkbox" value="" aria-label="..." />
                  First checkbox
                </MDBListGroupItem>
                <MDBListGroupItem>
                  <input class="form-check-input me-1" type="checkbox" value="" aria-label="..." />
                  Second checkbox
                </MDBListGroupItem>
                <MDBListGroupItem>
                  <input class="form-check-input me-1" type="checkbox" value="" aria-label="..." />
                  Third checkbox
                </MDBListGroupItem>
                <MDBListGroupItem>
                  <input class="form-check-input me-1" type="checkbox" value="" aria-label="..." />
                  Fourth checkbox
                </MDBListGroupItem>
                <MDBListGroupItem>
                  <input class="form-check-input me-1" type="checkbox" value="" aria-label="..." />
                  Fifth checkbox
                </MDBListGroupItem>
              </MDBListGroup>
            </template>
          
        
    
        
            
            <script>
              import { MDBListGroup, MDBListGroupItem } from "mdb-vue-ui-kit";
              export default {
                components: {
                  MDBListGroup,
                  MDBListGroupItem
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBListGroup, MDBListGroupItem } from "mdb-vue-ui-kit";
            </script>
          
        
    

And if you want <label>s as the MDBListGroupItem for large hit areas, you can do that, too.

        
            
            <template>
              <MDBListGroup light>
                <MDBListGroupItem tag="label">
                  <input class="form-check-input me-1" type="checkbox" value="" />
                  First checkbox
                </MDBListGroupItem>
                <MDBListGroupItem tag="label">
                  <input class="form-check-input me-1" type="checkbox" value="" />
                  Second checkbox
                </MDBListGroupItem>
                <MDBListGroupItem tag="label">
                  <input class="form-check-input me-1" type="checkbox" value="" />
                  Third checkbox
                </MDBListGroupItem>
                <MDBListGroupItem tag="label">
                  <input class="form-check-input me-1" type="checkbox" value="" />
                  Fourth checkbox
                </MDBListGroupItem>
                <MDBListGroupItem tag="label">
                  <input class="form-check-input me-1" type="checkbox" value="" />
                  Fifth checkbox
                </MDBListGroupItem>
              </MDBListGroup>
            </template>
          
        
    
        
            
            <script>
              import { MDBListGroup, MDBListGroupItem } from "mdb-vue-ui-kit";
              export default {
                components: {
                  MDBListGroup,
                  MDBListGroupItem
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBListGroup, MDBListGroupItem } from "mdb-vue-ui-kit";
            </script>
          
        
    

JavaScript behavior

Use the tab JavaScript plugin to extend our list group to create tabbable panes of local content.

        
            
                <MDBRow>
                  <MDBCol col="4">
                    <MDBListGroup light id="list-tab" role="tablist">
                      <MDBListGroupItem
                        tag="a"
                        action
                        active
                        id="list-home-list"
                        data-mdb-toggle="list"
                        href="#list-home"
                        role="tab"
                        aria-controls="home"
                        noBorder
                        spacing
                        >Home</MDBListGroupItem
                      >
                      <MDBListGroupItem
                        tag="a"
                        action
                        id="list-profile-list"
                        data-mdb-toggle="list"
                        href="#list-profile"
                        role="tab"
                        aria-controls="profile"
                        noBorder
                        spacing
                        >Profile</MDBListGroupItem
                      >
                      <MDBListGroupItem
                        tag="a"
                        action
                        id="list-messages-list"
                        data-mdb-toggle="list"
                        href="#list-messages"
                        role="tab"
                        aria-controls="messages"
                        noBorder
                        spacing
                        >Messages</MDBListGroupItem
                      >
                      <MDBListGroupItem
                        tag="a"
                        action
                        id="list-settings-list"
                        data-mdb-toggle="list"
                        href="#list-settings"
                        role="tab"
                        aria-controls="settings"
                        noBorder
                        spacing
                        >Settings</MDBListGroupItem
                      >
                    </MDBListGroup>
                  </MDBCol>
                  <MDBCol col="8">
                    <div class="tab-content" id="nav-tabContent">
                      <div
                        class="tab-pane fade show active"
                        id="list-home"
                        role="tabpanel"
                        aria-labelledby="list-home-list"
                      >
                        Some placeholder content in a paragraph relating to "Home". And some more content, used here just to pad out and fill this tab panel. In production, you would obviously have more real content here. And not just text. It could be anything, really. Text, images, forms.
                      </div>
                      <div
                        class="tab-pane fade"
                        id="list-profile"
                        role="tabpanel"
                        aria-labelledby="list-profile-list"
                      >
                        Some placeholder content in a paragraph relating to "Profile". And some more content, used here just to pad out and fill this tab panel. In production, you would obviously have more real content here. And not just text. It could be anything, really. Text, images, forms.
                      </div>
                      <div
                        class="tab-pane fade"
                        id="list-messages"
                        role="tabpanel"
                        aria-labelledby="list-messages-list"
                      >
                        Some placeholder content in a paragraph relating to "Messages". And some more content, used here just to pad out and fill this tab panel. In production, you would obviously have more real content here. And not just text. It could be anything, really. Text, images, forms.
                      </div>
                      <div
                        class="tab-pane fade"
                        id="list-settings"
                        role="tabpanel"
                        aria-labelledby="list-settings-list"
                      >
                        Some placeholder content in a paragraph relating to "Settings". And some more content, used here just to pad out and fill this tab panel. In production, you would obviously have more real content here. And not just text. It could be anything, really. Text, images, forms.
                      </div>
                    </div>
                  </MDBCol>
                </MDBRow>
                
        
    
        
            
                <script>
                  import { MDBListGroup, MDBListGroupItem, MDBRow, MDBCol } from "mdb-vue-ui-kit";
                  export default {
                    components: {
                      MDBListGroup,
                      MDBListGroupItem,
                      MDBRow,
                      MDBCol,
                    }
                  };
                </script>
              
        
    
        
            
              <script setup lang="ts">
                import { MDBListGroup, MDBListGroupItem, MDBRow, MDBCol } from "mdb-vue-ui-kit";
              </script>
            
        
    

Fade effect

To make tabs panel fade in, add .fade to each .tab-pane. The first tab pane must also have .show to make the initial content visible.

        
            
            <div class="tab-content">
              <div class="tab-pane fade show active" id="home" role="tabpanel">...</div>
              <div class="tab-pane fade" id="profile" role="tabpanel">...</div>
              <div class="tab-pane fade" id="messages" role="tabpanel">...</div>
              <div class="tab-pane fade" id="settings" role="tabpanel">...</div>
            </div>
          
        
    

Additional examples

A few additional, practical examples with different types of content and elements.

Images

  • John Doe

    john.doe@gmail.com

    Active
  • Alex Ray

    alex.ray@gmail.com

    Onboarding
  • Kate Hunington

    kate.hunington@gmail.com

    Awaiting
        
            
                  <MDBListGroup light>
                    <MDBListGroupItem class="d-flex justify-content-between align-items-center">
                      <div class="d-flex align-items-center">
                        <img
                          src="https://mdbootstrap.com/img/new/avatars/8.jpg"
                          alt=""
                          style="width: 45px; height: 45px"
                          class="rounded-circle"
                        />
                        <div class="ms-3">
                          <p class="fw-bold mb-1">John Doe</p>
                          <p class="text-muted mb-0">john.doe@gmail.com</p>
                        </div>
                      </div>
                      <MDBBadge class="rounded-pill badge-success">Active</MDBBadge>
                    </MDBListGroupItem>
                    <MDBListGroupItem class="d-flex justify-content-between align-items-center">
                      <div class="d-flex align-items-center">
                        <img
                          src="https://mdbootstrap.com/img/new/avatars/6.jpg"
                          class="rounded-circle"
                          alt=""
                          style="width: 45px; height: 45px"
                        />
                        <div class="ms-3">
                          <p class="fw-bold mb-1">Alex Ray</p>
                          <p class="text-muted mb-0">alex.ray@gmail.com</p>
                        </div>
                      </div>
                      <MDBBadge class="rounded-pill badge-primary">Onboarding</MDBBadge>
                    </MDBListGroupItem>
                    <MDBListGroupItem class="d-flex justify-content-between align-items-center">
                      <div class="d-flex align-items-center">
                        <img
                          src="https://mdbootstrap.com/img/new/avatars/7.jpg"
                          class="rounded-circle"
                          alt=""
                          style="width: 45px; height: 45px"
                        />
                        <div class="ms-3">
                          <p class="fw-bold mb-1">Kate Hunington</p>
                          <p class="text-muted mb-0">kate.hunington@gmail.com</p>
                        </div>
                      </div>
                      <MDBBadge class="rounded-pill badge-warning">Awaiting</MDBBadge>
                    </MDBListGroupItem>
                  </MDBListGroup>
                
        
    
        
            
                <script>
                  import { MDBListGroup, MDBListGroupItem, MDBBadge } from "mdb-vue-ui-kit";

                  export default {
                    components: {
                      MDBListGroup, 
                      MDBListGroupItem,
                      MDBBadge,                 
                    }
                  };
                </script>
              
        
    
        
            
              <script setup lang="ts">
                import { MDBListGroup, MDBListGroupItem, MDBBadge } from "mdb-vue-ui-kit";
              </script>
            
        
    

Headings

Marketing team
  • John Doe

    john.doe@gmail.com

  • Alex Ray

    alex.ray@gmail.com

  • Kate Hunington

    kate.hunington@gmail.com

Design team
  • Soraya Letto

    soraya.letto@gmail.com

  • Zeynep Dudley

    zeynep.dudley@gmail.com

  • Ayat Black

    ayat.black@gmail.com

        
            
                <div>
                  <h6 class="bg-body-tertiary p-2 border-top border-bottom">Marketing team</h6>
                  <MDBListGroup light style="min-width: 22rem">
                    <MDBListGroupItem
                      class="d-flex justify-content-between align-items-center"
                    >
                      <div class="d-flex align-items-center">
                        <img
                          src="https://mdbootstrap.com/img/new/avatars/8.jpg"
                          alt=""
                          style="width: 45px; height: 45px"
                          class="rounded-circle"
                        />
                        <div class="ms-3">
                          <p class="fw-bold mb-1">John Doe</p>
                          <p class="text-muted mb-0">john.doe@gmail.com</p>
                        </div>
                      </div>
                    </MDBListGroupItem>
                    <MDBListGroupItem
                      class="d-flex justify-content-between align-items-center"
                    >
                      <div class="d-flex align-items-center">
                        <img
                          src="https://mdbootstrap.com/img/new/avatars/6.jpg"
                          class="rounded-circle"
                          alt=""
                          style="width: 45px; height: 45px"
                        />
                        <div class="ms-3">
                          <p class="fw-bold mb-1">Alex Ray</p>
                          <p class="text-muted mb-0">alex.ray@gmail.com</p>
                        </div>
                      </div>
                    </MDBListGroupItem>
                    <MDBListGroupItem
                      class="d-flex justify-content-between align-items-center"
                    >
                      <div class="d-flex align-items-center">
                        <img
                          src="https://mdbootstrap.com/img/new/avatars/7.jpg"
                          class="rounded-circle"
                          alt=""
                          style="width: 45px; height: 45px"
                        />
                        <div class="ms-3">
                          <p class="fw-bold mb-1">Kate Hunington</p>
                          <p class="text-muted mb-0">kate.hunington@gmail.com</p>
                        </div>
                      </div>
                    </MDBListGroupItem>
                  </MDBListGroup>
                  <h6 class="bg-body-tertiary p-2 border-top border-bottom">Design team</h6>
                  <MDBListGroup light style="min-width: 22rem">
                    <MDBListGroupItem
                      class="d-flex justify-content-between align-items-center"
                    >
                      <div class="d-flex align-items-center">
                        <img
                          src="https://mdbootstrap.com/img/new/avatars/9.jpg"
                          alt=""
                          style="width: 45px; height: 45px"
                          class="rounded-circle"
                        />
                        <div class="ms-3">
                          <p class="fw-bold mb-1">Soraya Letto</p>
                          <p class="text-muted mb-0">soraya.letto@gmail.com</p>
                        </div>
                      </div>
                    </MDBListGroupItem>
                    <MDBListGroupItem
                      class="d-flex justify-content-between align-items-center"
                    >
                      <div class="d-flex align-items-center">
                        <img
                          src="https://mdbootstrap.com/img/new/avatars/11.jpg"
                          class="rounded-circle"
                          alt=""
                          style="width: 45px; height: 45px"
                        />
                        <div class="ms-3">
                          <p class="fw-bold mb-1">Zeynep Dudley</p>
                          <p class="text-muted mb-0">zeynep.dudley@gmail.com</p>
                        </div>
                      </div>
                    </MDBListGroupItem>
                    <MDBListGroupItem
                      class="d-flex justify-content-between align-items-center"
                    >
                      <div class="d-flex align-items-center">
                        <img
                          src="https://mdbootstrap.com/img/new/avatars/15.jpg"
                          class="rounded-circle"
                          alt=""
                          style="width: 45px; height: 45px"
                        />
                        <div class="ms-3">
                          <p class="fw-bold mb-1">Ayat Black</p>
                          <p class="text-muted mb-0">ayat.black@gmail.com</p>
                        </div>
                      </div>
                    </MDBListGroupItem>
                  </MDBListGroup>
                </div>
               
        
    
        
            
               <script>
                 import { MDBListGroup, MDBListGroupItem } from "mdb-vue-ui-kit";

                 export default {
                   components: {
                     MDBListGroup, 
                     MDBListGroupItem                 
                   }
                 };
               </script>
             
        
    
        
            
             <script setup lang="ts">
               import { MDBListGroup, MDBListGroupItem } from "mdb-vue-ui-kit";
             </script>
           
        
    

Action buttons

  • John Doe

    john.doe@gmail.com

    View
  • Alex Ray

    alex.ray@gmail.com

    View
  • Kate Hunington

    kate.hunington@gmail.com

    View
        
            
                  <MDBListGroup light style="min-width: 22rem">
                    <MDBListGroupItem
                      class="d-flex justify-content-between align-items-center"
                    >
                      <div class="d-flex align-items-center">
                        <img
                          src="https://mdbootstrap.com/img/new/avatars/8.jpg"
                          alt=""
                          style="width: 45px; height: 45px"
                          class="rounded-circle"
                        />
                        <div class="ms-3">
                          <p class="fw-bold mb-1">John Doe</p>
                          <p class="text-muted mb-0">john.doe@gmail.com</p>
                        </div>
                      </div>
                      <a class="btn btn-link btn-rounded btn-sm" href="#" role="button"
                        >View</a
                      >
                    </MDBListGroupItem>
                    <MDBListGroupItem
                      class="d-flex justify-content-between align-items-center"
                    >
                      <div class="d-flex align-items-center">
                        <img
                          src="https://mdbootstrap.com/img/new/avatars/6.jpg"
                          class="rounded-circle"
                          alt=""
                          style="width: 45px; height: 45px"
                        />
                        <div class="ms-3">
                          <p class="fw-bold mb-1">Alex Ray</p>
                          <p class="text-muted mb-0">alex.ray@gmail.com</p>
                        </div>
                      </div>
                      <a class="btn btn-link btn-rounded btn-sm" href="#" role="button"
                        >View</a
                      >
                    </MDBListGroupItem>
                    <MDBListGroupItem
                      class="d-flex justify-content-between align-items-center"
                    >
                      <div class="d-flex align-items-center">
                        <img
                          src="https://mdbootstrap.com/img/new/avatars/7.jpg"
                          class="rounded-circle"
                          alt=""
                          style="width: 45px; height: 45px"
                        />
                        <div class="ms-3">
                          <p class="fw-bold mb-1">Kate Hunington</p>
                          <p class="text-muted mb-0">kate.hunington@gmail.com</p>
                        </div>
                      </div>
          
                      <a class="btn btn-link btn-rounded btn-sm" href="#" role="button"
                        >View</a
                      >
                    </MDBListGroupItem>
                  </MDBListGroup>
                 
        
    
        
            
                 <script>
                   import { MDBListGroup, MDBListGroupItem } from "mdb-vue-ui-kit";
  
                   export default {
                     components: {
                       MDBListGroup, 
                       MDBListGroupItem                 
                     }
                   };
                 </script>
               
        
    
        
            
               <script setup lang="ts">
                 import { MDBListGroup, MDBListGroupItem } from "mdb-vue-ui-kit";
               </script>
             
        
    

CTA

  • Our company starts its operations

    11 March 2020

    Some placeholder content in a paragraph relating to "Our company starts its operations". And some more content, used here just to pad out and fill this tab panel. In production, you would obviously have more real content here. And not just text. It could be anything, really. Text, images, forms.

  • First customer

    19 March 2020

    Some placeholder content in a paragraph relating to "First customer". And some more content, used here just to pad out and fill this tab panel. In production, you would obviously have more real content here. And not just text. It could be anything, really. Text, images, forms.

  • Our team exceeds 10 people

    24 June 2020

    Some placeholder content in a paragraph relating to "Our team exceeds 10 people". And some more content, used here just to pad out and fill this tab panel. In production, you would obviously have more real content here. And not just text. It could be anything, really. Text, images, forms.

View all
        
            
                  <div>
                    <MDBListGroup light style="min-width: 22rem" class="mb-3">
                      <MDBListGroupItem>
                        <h5 class="fw-bold">Our company starts its operations</h5>
                        <p class="text-muted mb-2 fw-bold">11 March 2020</p>
                        <p class="text-muted mb-0">
                          Some placeholder content in a paragraph relating to "Our company starts its operations". And some more content, used here just to pad out and fill this tab panel. In production, you would obviously have more real content here. And not just text. It could be anything, really. Text, images, forms.
                        </p>
                      </MDBListGroupItem>
                      <MDBListGroupItem>
                        <h5 class="fw-bold">First customer</h5>
                        <p class="text-muted mb-2 fw-bold">19 March 2020</p>
                        <p class="text-muted mb-0">
                          Some placeholder content in a paragraph relating to "First customer". And some more content, used here just to pad out and fill this tab panel. In production, you would obviously have more real content here. And not just text. It could be anything, really. Text, images, forms.
                        </p>
                      </MDBListGroupItem>
                      <MDBListGroupItem>
                        <h5 class="fw-bold">Our team exceeds 10 people</h5>
                        <p class="text-muted mb-2 fw-bold">24 June 2020</p>
                        <p class="text-muted mb-0">
                          Some placeholder content in a paragraph relating to "Our team exceeds 10 people". And some more content, used here just to pad out and fill this tab panel. In production, you would obviously have more real content here. And not just text. It could be anything, really. Text, images, forms.
                        </p>
                      </MDBListGroupItem>
                    </MDBListGroup>
                    <a
                      class="btn btn-outline-dark btn-rounded w-100"
                      href="#"
                      role="button"
                      data-ripple-color="dark"
                      >View all</a
                    >
                  </div>
                 
        
    
        
            
                 <script>
                   import { MDBListGroup, MDBListGroupItem } from "mdb-vue-ui-kit";
  
                   export default {
                     components: {
                       MDBListGroup, 
                       MDBListGroupItem                 
                     }
                   };
                 </script>
               
        
    
        
            
               <script setup lang="ts">
                 import { MDBListGroup, MDBListGroupItem } from "mdb-vue-ui-kit";
               </script>
             
        
    

Grid list

John Doe

john.doe@gmail.com

Alex Ray

alex.ray@gmail.com

Kate Hunington

kate.hunington@gmail.com

Soraya Letto

soraya.letto@gmail.com

Zeynep Dudley

zeynep.dudley@gmail.com

Ayat Black

ayat.black@gmail.com

        
            
       
                  <div class="row">
                    <div class="col-xl-4 col-lg-6 mb-4">
                      <MDBCard>
                        <MDBCardBody>
                          <div class="d-flex align-items-center">
                            <img
                              src="https://mdbootstrap.com/img/new/avatars/8.jpg"
                              alt=""
                              style="width: 45px; height: 45px"
                              class="rounded-circle"
                            />
                            <div class="ms-3">
                              <p class="fw-bold mb-1">John Doe</p>
                              <p class="text-muted mb-0">john.doe@gmail.com</p>
                            </div>
                          </div>
                        </MDBCardBody>
                      </MDBCard>
                    </div>
                    <div class="col-xl-4 col-lg-6 mb-4">
                      <MDBCard>
                        <MDBCardBody>
                          <div class="d-flex align-items-center">
                            <img
                              src="https://mdbootstrap.com/img/new/avatars/6.jpg"
                              alt=""
                              style="width: 45px; height: 45px"
                              class="rounded-circle"
                            />
                            <div class="ms-3">
                              <p class="fw-bold mb-1">Alex Ray</p>
                              <p class="text-muted mb-0">alex.ray@gmail.com</p>
                            </div>
                          </div>
                        </MDBCardBody>
                      </MDBCard>
                    </div>
                    <div class="col-xl-4 col-lg-6 mb-4">
                      <MDBCard>
                        <MDBCardBody>
                          <div class="d-flex align-items-center">
                            <img
                              src="https://mdbootstrap.com/img/new/avatars/7.jpg"
                              alt=""
                              style="width: 45px; height: 45px"
                              class="rounded-circle"
                            />
                            <div class="ms-3">
                              <p class="fw-bold mb-1">Kate Hunington</p>
                              <p class="text-muted mb-0">kate.hunington@gmail.com</p>
                            </div>
                          </div>
                        </MDBCardBody>
                      </MDBCard>
                    </div>
                    <div class="col-xl-4 col-lg-6 mb-4">
                      <MDBCard>
                        <MDBCardBody>
                          <div class="d-flex align-items-center">
                            <img
                              src="https://mdbootstrap.com/img/new/avatars/9.jpg"
                              alt=""
                              style="width: 45px; height: 45px"
                              class="rounded-circle"
                            />
                            <div class="ms-3">
                              <p class="fw-bold mb-1">Soraya Letto</p>
                              <p class="text-muted mb-0">soraya.letto@gmail.com</p>
                            </div>
                          </div>
                        </MDBCardBody>
                      </MDBCard>
                    </div>
                    <div class="col-xl-4 col-lg-6 mb-4">
                      <MDBCard>
                        <MDBCardBody>
                          <div class="d-flex align-items-center">
                            <img
                              src="https://mdbootstrap.com/img/new/avatars/11.jpg"
                              alt=""
                              style="width: 45px; height: 45px"
                              class="rounded-circle"
                            />
                            <div class="ms-3">
                              <p class="fw-bold mb-1">Zeynep Dudley</p>
                              <p class="text-muted mb-0">zeynep.dudley@gmail.com</p>
                            </div>
                          </div>
                        </MDBCardBody>
                      </MDBCard>
                    </div>
                    <div class="col-xl-4 col-lg-6 mb-4">
                      <MDBCard>
                        <MDBCardBody>
                          <div class="d-flex align-items-center">
                            <img
                              src="https://mdbootstrap.com/img/new/avatars/15.jpg"
                              alt=""
                              style="width: 45px; height: 45px"
                              class="rounded-circle"
                            />
                            <div class="ms-3">
                              <p class="fw-bold mb-1">Ayat Black</p>
                              <p class="text-muted mb-0">ayat.black@gmail.com</p>
                            </div>
                          </div>
                        </MDBCardBody>
                      </MDBCard>
                    </div>
                  </div>
       
                 
        
    
        
            
                 <script>
                   import { MDBCard, MDBCardBody } from "mdb-vue-ui-kit";
  
                   export default {
                     components: {
                       MDBCard, 
                       MDBCardBody                 
                     }
                   };
                 </script>
               
        
    
        
            
               <script setup lang="ts">
                 import { MDBCard, MDBCardBody } from "mdb-vue-ui-kit";
               </script>
             
        
    

Complex grid list

John Doe

john.doe@gmail.com

Active

Alex Ray

alex.ray@gmail.com

Onboarding

Kate Hunington

kate.hunington@gmail.com

Awaiting

Michael Bale

michael.bale@gmail.com

Removed
        
            
       
                  <div class="row">
                    <div class="col-xl-6 col-lg-6 mb-4">
                      <MDBCard>
                        <MDBCardBody>
                          <div
                            class="d-flex justify-content-between align-items-center"
                          >
                            <div class="d-flex align-items-center">
                              <img
                                src="https://mdbootstrap.com/img/new/avatars/8.jpg"
                                alt=""
                                style="width: 45px; height: 45px"
                                class="rounded-circle"
                              />
                              <div class="ms-3">
                                <p class="fw-bold mb-1">John Doe</p>
                                <p class="text-muted mb-0">john.doe@gmail.com</p>
                              </div>
                            </div>
                            <MDBBadge class="rounded-pill badge-success">Active</MDBBadge>
                          </div>
                        </MDBCardBody>
                        <MDBCardFooter
                          class="border-0 bg-body-tertiary p-2 d-flex justify-content-around"
                        >
                          <a
                            class="btn btn-link m-0 text-reset"
                            href="#"
                            role="button"
                            data-ripple-color="primary"
                            >Message<i class="fas fa-envelope ms-2"></i
                          ></a>
                          <a
                            class="btn btn-link m-0 text-reset"
                            href="#"
                            role="button"
                            data-ripple-color="primary"
                            >Call<i class="fas fa-phone ms-2"></i
                          ></a>
                        </MDBCardFooter>
                      </MDBCard>
                    </div>
                    <div class="col-xl-6 col-lg-6 mb-4">
                      <MDBCard>
                        <MDBCardBody>
                          <div
                            class="d-flex justify-content-between align-items-center"
                          >
                            <div class="d-flex align-items-center">
                              <img
                                src="https://mdbootstrap.com/img/new/avatars/6.jpg"
                                alt=""
                                style="width: 45px; height: 45px"
                                class="rounded-circle"
                              />
                              <div class="ms-3">
                                <p class="fw-bold mb-1">Alex Ray</p>
                                <p class="text-muted mb-0">alex.ray@gmail.com</p>
                              </div>
                            </div>
                            <MDBBadge class="rounded-pill badge-primary">Onboarding</MDBBadge>
                          </div>
                        </MDBCardBody>
                        <MDBCardFooter
                          class="border-0 bg-body-tertiary p-2 d-flex justify-content-around"
                        >
                          <a
                            class="btn btn-link m-0 text-reset"
                            href="#"
                            role="button"
                            data-ripple-color="primary"
                            >Message<i class="fas fa-envelope ms-2"></i
                          ></a>
                          <a
                            class="btn btn-link m-0 text-reset"
                            href="#"
                            role="button"
                            data-ripple-color="primary"
                            >Call<i class="fas fa-phone ms-2"></i
                          ></a>
                        </MDBCardFooter>
                      </MDBCard>
                    </div>
                    <div class="col-xl-6 col-lg-6 mb-4">
                      <MDBCard>
                        <MDBCardBody>
                          <div
                            class="d-flex justify-content-between align-items-center"
                          >
                            <div class="d-flex align-items-center">
                              <img
                                src="https://mdbootstrap.com/img/new/avatars/7.jpg"
                                alt=""
                                style="width: 45px; height: 45px"
                                class="rounded-circle"
                              />
                              <div class="ms-3">
                                <p class="fw-bold mb-1">Kate Hunington</p>
                                <p class="text-muted mb-0">
                                  kate.hunington@gmail.com
                                </p>
                              </div>
                            </div>
                            <MDBBadge class="rounded-pill badge-warning">Awaiting</MDBBadge>
                          </div>
                        </MDBCardBody>
                        <MDBCardFooter
                          class="border-0 bg-body-tertiary p-2 d-flex justify-content-around"
                        >
                          <a
                            class="btn btn-link m-0 text-reset"
                            href="#"
                            role="button"
                            data-ripple-color="primary"
                            >Message<i class="fas fa-envelope ms-2"></i
                          ></a>
                          <a
                            class="btn btn-link m-0 text-reset"
                            href="#"
                            role="button"
                            data-ripple-color="primary"
                            >Call<i class="fas fa-phone ms-2"></i
                          ></a>
                        </MDBCardFooter>
                      </MDBCard>
                    </div>
                    <div class="col-xl-6 col-lg-6 mb-4">
                      <MDBCard>
                        <MDBCardBody>
                          <div
                            class="d-flex justify-content-between align-items-center"
                          >
                            <div class="d-flex align-items-center">
                              <img
                                src="https://mdbootstrap.com/img/new/avatars/3.jpg"
                                alt=""
                                style="width: 45px; height: 45px"
                                class="rounded-circle"
                              />
                              <div class="ms-3">
                                <p class="fw-bold mb-1">Michael Bale</p>
                                <p class="text-muted mb-0">michael.bale@gmail.com</p>
                              </div>
                            </div>
                            <MDBBadge class="rounded-pill badge-danger">Removed</MDBBadge>
                          </div>
                        </MDBCardBody>
                        <MDBCardFooter
                          class="border-0 bg-body-tertiary p-2 d-flex justify-content-around"
                        >
                          <a
                            class="btn btn-link m-0 text-reset"
                            href="#"
                            role="button"
                            data-ripple-color="primary"
                            >Message<i class="fas fa-envelope ms-2"></i
                          ></a>
                          <a
                            class="btn btn-link m-0 text-reset"
                            href="#"
                            role="button"
                            data-ripple-color="primary"
                            >Call<i class="fas fa-phone ms-2"></i
                          ></a>
                        </MDBCardFooter>
                      </MDBCard>
                    </div>
                  </div>    
       
                 
        
    
        
            
                 <script>
                   import { MDBCard, MDBCardBody, MDBCardFooter, MDBBadge } from "mdb-vue-ui-kit";
  
                   export default {
                     components: {
                       MDBCard, 
                       MDBCardBody,
                       MDBCardFooter,
                       MDBBadge                 
                     }
                   };
                 </script>
               
        
    
        
            
               <script setup lang="ts">
                 import { MDBCard, MDBCardBody, MDBCardFooter, MDBBadge } from "mdb-vue-ui-kit";
               </script>
             
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

List group - API


Import

        
            
          <script>
            import {
              MDBListGroup,
              MDBListGroupItem
            } from 'mdb-vue-ui-kit';
          </script>
        
        
    

Properties

MDBListGroup

Name Type Default Description Example
tag String 'ul' Defines tag of the MDBListGroup element <MDBListGroup tag="section" />
light Boolean false Uses light version of the MDBListGroup element <MDBListGroup light />
small Boolean false Reduces padding of the items in the list <MDBListGroup small />
horizontal Boolean | String false Changes list group's display to horizontal at all breakpoints when no value is passed and to a specific breakpoint when a value is passed. Use (sm | md | lg | xl | ) values <MDBListGroup horizontal /> <MDBListGroup horizontal="md" />
numbered Boolean false Adds list item numeration <MDBListGroup numbered />

MDBListGroupItem

Name Type Default Description Example
tag String 'li' Defines tag of the MDBListGroupItem element <MDBListGroupItem tag="div" />
color String Changes the list item's style according to the passed value (primary, warning, danger, secondary, success, light, dark) or background to the given color (primary-color, light-blue, pink, etc) <MDBListGroupItem color="danger" />
active Boolean false Sets item active <MDBListGroupItem active />
disabled Boolean false Sets item disabled <MDBListGroupItem disabled />
action Boolean false Changes list group item's styling to action <MDBListGroupItem action />
noBorder Boolean false Removes border from the MDBListGroupItem element <MDBListGroupItem noBorder />
spacing Boolean / String false Adds padding to the MDBListGroupItem element. Use px-0 | px-1 | px-2 | px-3 | px-4 | px-5 values. If value is not provided - px-3 is set by default <MDBListGroupItem spacing />
ripple Boolean / Object false Adds ripple to the MDBListGroupItem element. <MDBListGroupItem noBorder />

CSS variables

As part of MDB’s evolving CSS variables approach, list group now uses local CSS variables on .list-group for enhanced real-time customization. Values for the CSS variables are set via Sass, so Sass customization is still supported, too.

        
            
            // .list-group
            --#{$prefix}list-group-color: #{$list-group-color};
            --#{$prefix}list-group-bg: #{$list-group-bg};
            --#{$prefix}list-group-border-color: #{$list-group-border-color};
            --#{$prefix}list-group-border-width: #{$list-group-border-width};
            --#{$prefix}list-group-border-radius: #{$list-group-border-radius};
            --#{$prefix}list-group-item-padding-x: #{$list-group-item-padding-x};
            --#{$prefix}list-group-item-padding-y: #{$list-group-item-padding-y};
            --#{$prefix}list-group-item-transition-time: #{$list-group-item-transition-time};
            --#{$prefix}list-group-action-color: #{$list-group-action-color};
            --#{$prefix}list-group-action-hover-color: #{$list-group-action-hover-color};
            --#{$prefix}list-group-action-hover-bg: #{$list-group-hover-bg};
            --#{$prefix}list-group-action-active-color: #{$list-group-action-active-color};
            --#{$prefix}list-group-action-active-bg: #{$list-group-action-active-bg};
            --#{$prefix}list-group-disabled-color: #{$list-group-disabled-color};
            --#{$prefix}list-group-disabled-bg: #{$list-group-disabled-bg};
            --#{$prefix}list-group-active-color: #{$list-group-active-color};
            --#{$prefix}list-group-active-bg: #{$list-group-active-bg};
            --#{$prefix}list-group-active-border-color: #{$list-group-active-border-color};

            // .list-group-item
            --#{$prefix}list-group-item-active-margin-top: #{$list-group-active-margin-top};

            // .list-group-light
            --#{$prefix}list-group-light-item-py: #{$list-group-light-item-py};
            --#{$prefix}list-group-light-item-border: #{$list-group-light-item-border};
            --#{$prefix}list-group-light-item-border-width: #{$list-group-light-item-border-width};
            --#{$prefix}list-group-light-active-border-radius: #{$list-group-light-active-border-radius};
            --#{$prefix}list-group-light-active-bg: #{$list-group-light-active-bg};
            --#{$prefix}list-group-light-active-color: #{$list-group-light-active-color};
            
            // .list-group-small
            --#{$prefix}list-group-small-item-py: #{$list-group-small-item-py};
          
        
    

SCSS variables

        
            
            $list-group-border-color: var(--#{$prefix}border-color);
            $list-group-border-width: var(--#{$prefix}border-width);
            $list-group-border-radius: $border-radius-lg;
            $list-group-item-padding-x: 1.5rem;
            $list-group-item-padding-y: $spacer * 0.5;
            $list-group-item-bg-scale: -80%;
            $list-group-item-color-scale: 40%;
            $list-group-item-transition-time: 0.5s;
            $list-group-color: var(--#{$prefix}body-color);
            $list-group-light-item-py: 1rem;
            $list-group-light-item-border: 2px solid var(--#{$prefix}divider-color);
            $list-group-light-item-border-width: 2px;
            $list-group-light-active-border-radius: 0.5rem;
            $list-group-light-active-bg: var(--#{$prefix}primary-bg-subtle);
            $list-group-light-active-color: var(--#{$prefix}primary-text-emphasis);
            $list-group-active-margin-top: 0;
            $list-group-small-item-py: 0.5rem;
            $list-group-active-bg: rgb(223, 231, 246);
            $list-group-active-color: rgb(44, 88, 160);
            $list-group-active-border-color: $list-group-active-bg;
            $list-group-color: $gray-900;
            $list-group-bg: transparent;
            $list-group-hover-bg: var(--#{$prefix}tertiary-bg);
            $list-group-active-color: $component-active-color;
            $list-group-active-bg: $component-active-bg;
            $list-group-active-border-color: $list-group-active-bg;
            
            $list-group-disabled-color: var(--#{$prefix}secondary-color);
            $list-group-disabled-bg: $list-group-bg;
            
            $list-group-action-color: var(--#{$prefix}secondary-color);
            $list-group-action-hover-color: var(--#{$prefix}emphasis-color);
            
            $list-group-action-active-color: var(--#{$prefix}body-color);
            $list-group-action-active-bg: var(--#{$prefix}secondary-bg);

List group

React Bootstrap 5 List group component

List groups are a flexible and powerful component for displaying a series of content. Modify and extend them to support just about any content within.

Note: Read the API tab to find all available options and advanced customization


Basic example

The most basic list group is an unordered list with list items and the proper classes. Build upon it with the options that follow, or with your own CSS as needed.

  • Cras justo odio
  • Dapibus ac facilisis in
  • Morbi leo risus
  • Porta ac consectetur ac
  • Vestibulum at eros
        
            
            import React from 'react';
            import { MDBListGroup, MDBListGroupItem } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <MDBListGroup style={{ minWidthL: '22rem' }} light>
                  <MDBListGroupItem>Cras justo odio</MDBListGroupItem>
                  <MDBListGroupItem>Dapibus ac facilisis in</MDBListGroupItem>
                  <MDBListGroupItem>Morbi leo risus</MDBListGroupItem>
                  <MDBListGroupItem>Porta ac consectetur ac</MDBListGroupItem>
                  <MDBListGroupItem>Vestibulum at eros</MDBListGroupItem>
                </MDBListGroup>
              );
            }
          
        
    

Small

If you need a more compact list, pass small as prop which will reduce the padding of the items in the list.

  • Cras justo odio
  • Dapibus ac facilisis in
  • Morbi leo risus
  • Porta ac consectetur ac
  • Vestibulum at eros
        
            
              import React from 'react';
              import { MDBListGroup, MDBListGroupItem } from 'mdb-react-ui-kit';
      
              export default function App() {
                return (
                  <MDBListGroup style={{ minWidth: '22rem' }} light small>
                    <MDBListGroupItem>Cras justo odio</MDBListGroupItem>
                    <MDBListGroupItem>Dapibus ac facilisis in</MDBListGroupItem>
                    <MDBListGroupItem>Morbi leo risus</MDBListGroupItem>
                    <MDBListGroupItem>Porta ac consectetur ac</MDBListGroupItem>
                    <MDBListGroupItem>Vestibulum at eros</MDBListGroupItem>
                  </MDBListGroup>
                );
              }
            
        
    

Active items

Add active property to a <MDBListGroupItem> to indicate the current active selection.

  • Cras justo odio
  • Dapibus ac facilisis in
  • Morbi leo risus
  • Porta ac consectetur ac
  • Vestibulum at eros
        
            
            import React from 'react';
            import { MDBListGroup, MDBListGroupItem } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <MDBListGroup style={{ minWidth: '22rem' }} light>
                  <MDBListGroupItem active noBorders aria-current='true' className='px-3'>
                    Cras justo odio
                  </MDBListGroupItem>
                  <MDBListGroupItem noBorders className='px-3'>
                    Dapibus ac facilisis in
                  </MDBListGroupItem>
                  <MDBListGroupItem noBorders className='px-3'>
                    Morbi leo risus
                  </MDBListGroupItem>
                  <MDBListGroupItem noBorders className='px-3'>
                    Porta ac consectetur ac
                  </MDBListGroupItem>
                  <MDBListGroupItem noBorders className='px-3'>
                    Vestibulum at eros
                  </MDBListGroupItem>
                </MDBListGroup>
              );
            }
          
        
    

Disabled items

Add disabled property to a <MDBListGroupItem> to make it appear disabled. Note that some elements with .disabled will also require custom JavaScript to fully disable their click events (e.g., links).

  • Cras justo odio
  • Dapibus ac facilisis in
  • Morbi leo risus
  • Porta ac consectetur ac
  • Vestibulum at eros
        
            
          import React from 'react';
          import { MDBListGroup, MDBListGroupItem } from 'mdb-react-ui-kit';
  
          export default function App() {
            return (
              <MDBListGroup style={{ minWidth: '22rem' }} light>
                <MDBListGroupItem disabled aria-disabled='true'>
                  Cras justo odio
                </MDBListGroupItem>
                <MDBListGroupItem>Dapibus ac facilisis in</MDBListGroupItem>
                <MDBListGroupItem>Morbi leo risus</MDBListGroupItem>
                <MDBListGroupItem>Porta ac consectetur ac</MDBListGroupItem>
                <MDBListGroupItem>Vestibulum at eros</MDBListGroupItem>
              </MDBListGroup>
            );
          }
        
        
    


No borders

Pass noBorders as a prop to the items to remove all the borders.

  • Cras justo odio
  • Dapibus ac facilisis in
  • Morbi leo risus
  • Porta ac consectetur ac
  • Vestibulum at eros
        
            
            import React from 'react';
            import { MDBListGroup, MDBListGroupItem } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <MDBListGroup style={{ minWidth: '22rem' }} light>
                  <MDBListGroupItem noBorders>Cras justo odio</MDBListGroupItem>
                  <MDBListGroupItem noBorders>Dapibus ac facilisis in</MDBListGroupItem>
                  <MDBListGroupItem noBorders>Morbi leo risus</MDBListGroupItem>
                  <MDBListGroupItem noBorders>Porta ac consectetur ac</MDBListGroupItem>
                  <MDBListGroupItem noBorders>Vestibulum at eros</MDBListGroupItem>
                </MDBListGroup>
              );
            }
          
        
    

Numbered

Pass numbered as a prop to opt into numbered list group items. Numbers are generated via CSS (as opposed to a <ol>s default browser styling) for better placement inside list groupt items and allow for better customization.

Numbers are generated by counter-reset on the <ol>, and then styled and placed with a ::before pseudo-element on the <li> with counter-increment and content.

  1. Cras justo odio
  2. Cras justo odio
  3. Cras justo odio
        
            
            import React from 'react';
            import { MDBListGroup, MDBListGroupItem } from 'mdb-react-ui-kit';
        
            export default function App() {
              return (
                <MDBListGroup light numbered style={{ minWidth: '22rem' }}>
                  <MDBListGroupItem>Cras justo odio</MDBListGroupItem>
                  <MDBListGroupItem>Cras justo odio</MDBListGroupItem>
                  <MDBListGroupItem>Cras justo odio</MDBListGroupItem>
                </MDBListGroup>
              );
            }
          
        
    

These work great with custom content as well.

  1. Subheading
    Cras justo odio
    14
  2. Subheading
    Cras justo odio
    14
  3. Subheading
    Cras justo odio
    14
        
            
            import React from 'react';
            import { MDBBadge, MDBListGroup, MDBListGroupItem } from 'mdb-react-ui-kit';
        
            export default function App() {
              return (
                <MDBListGroup light numbered style={{ minWidth: '22rem' }}>
                  <MDBListGroupItem className='d-flex justify-content-between align-items-start'>
                    <div className='ms-2 me-auto'>
                      <div className='fw-bold'>Subheading</div>Cras justo odio
                    </div>
                    <MDBBadge pill light>
                      14
                    </MDBBadge>
                  </MDBListGroupItem>
                  <MDBListGroupItem className='d-flex justify-content-between align-items-start'>
                    <div className='ms-2 me-auto'>
                      <div className='fw-bold'>Subheading</div>Cras justo odio
                    </div>
                    <MDBBadge pill light>
                      14
                    </MDBBadge>
                  </MDBListGroupItem>
                  <MDBListGroupItem className='d-flex justify-content-between align-items-start'>
                    <div className='ms-2 me-auto'>
                      <div className='fw-bold'>Subheading</div>Cras justo odio
                    </div>
                    <MDBBadge pill light>
                      14
                    </MDBBadge>
                  </MDBListGroupItem>
                </MDBListGroup>
              );
            }
          
        
    

Horizontal

Add horizontal property to change the layout of list group items from vertical to horizontal across all breakpoints. Alternatively, choose a responsive variant using horizontalSize="sm|md|lg|xl|xxl" to make a list group horizontal starting at that breakpoint’s min-width. Currently horizontal list groups cannot be combined with flush list groups.

ProTip: Want equal-width list group items when horizontal? Add .flex-fill to each list group item.

  • Cras justo odio
  • Dapibus ac facilisis in
  • Morbi leo risus
  • Cras justo odio
  • Dapibus ac facilisis in
  • Morbi leo risus
  • Cras justo odio
  • Dapibus ac facilisis in
  • Morbi leo risus
  • Cras justo odio
  • Dapibus ac facilisis in
  • Morbi leo risus
  • Cras justo odio
  • Dapibus ac facilisis in
  • Morbi leo risus
  • Cras justo odio
  • Dapibus ac facilisis in
  • Morbi leo risus
        
            
            import React from 'react';
            import { MDBListGroup, MDBListGroupItem } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <div>
                  <MDBListGroup horizontal>
                    <MDBListGroupItem>Cras justo odio</MDBListGroupItem>
                    <MDBListGroupItem>Dapibus ac facilisis in</MDBListGroupItem>
                    <MDBListGroupItem>Morbi leo risus</MDBListGroupItem>
                  </MDBListGroup>
    
                  <MDBListGroup horizontal horizontalSize='sm'>
                    <MDBListGroupItem>Cras justo odio</MDBListGroupItem>
                    <MDBListGroupItem>Dapibus ac facilisis in</MDBListGroupItem>
                    <MDBListGroupItem>Morbi leo risus</MDBListGroupItem>
                  </MDBListGroup>
    
                  <MDBListGroup horizontal horizontalSize='md'>
                    <MDBListGroupItem>Cras justo odio</MDBListGroupItem>
                    <MDBListGroupItem>Dapibus ac facilisis in</MDBListGroupItem>
                    <MDBListGroupItem>Morbi leo risus</MDBListGroupItem>
                  </MDBListGroup>
    
                  <MDBListGroup horizontal horizontalSize='lg'>
                    <MDBListGroupItem>Cras justo odio</MDBListGroupItem>
                    <MDBListGroupItem>Dapibus ac facilisis in</MDBListGroupItem>
                    <MDBListGroupItem>Morbi leo risus</MDBListGroupItem>
                  </MDBListGroup>
    
                  <MDBListGroup horizontal horizontalSize='xl'>
                    <MDBListGroupItem>Cras justo odio</MDBListGroupItem>
                    <MDBListGroupItem>Dapibus ac facilisis in</MDBListGroupItem>
                    <MDBListGroupItem>Morbi leo risus</MDBListGroupItem>
                  </MDBListGroup>
    
                  <MDBListGroup horizontal horizontalSize='xxl'>
                    <MDBListGroupItem>Cras justo odio</MDBListGroupItem>
                    <MDBListGroupItem>Dapibus ac facilisis in</MDBListGroupItem>
                    <MDBListGroupItem>Morbi leo risus</MDBListGroupItem>
                  </MDBListGroup>
                </div>
              );
            }
          
        
    

Contextual classes

Use color property to style list items with a stateful background and color.

  • Dapibus ac facilisis in
  • A simple primary list group item
  • A simple secondary list group item
  • A simple success list group item
  • A simple danger list group item
  • A simple warning list group item
  • A simple info list group item
  • A simple light list group item
  • A simple dark list group item
        
            
            import React from 'react';
            import { MDBListGroup, MDBListGroupItem } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <MDBListGroup style={{ minWidth: '22rem' }} light>
                  <MDBListGroupItem noBorders className='px-3 mb-2 rounded-3'>
                    Dapibus ac facilisis in
                  </MDBListGroupItem>
                  <MDBListGroupItem noBorders color='primary' className='px-3 mb-2 rounded-3'>
                    A simple primary list group item
                  </MDBListGroupItem>
                  <MDBListGroupItem noBorders color='secondary' className='px-3 mb-2 rounded-3'>
                    A simple secondary list group item
                  </MDBListGroupItem>
                  <MDBListGroupItem noBorders color='success' className='px-3 mb-2 rounded-3'>
                    A simple success list group item
                  </MDBListGroupItem>
                  <MDBListGroupItem noBorders color='danger' className='px-3 mb-2 rounded-3'>
                    A simple danger list group item
                  </MDBListGroupItem>
                  <MDBListGroupItem noBorders color='warning' className='px-3 mb-2 rounded-3'>
                    A simple warning list group item
                  </MDBListGroupItem>
                  <MDBListGroupItem noBorders color='info' className='px-3 mb-2 rounded-3'>
                    A simple info list group item
                  </MDBListGroupItem>
                  <MDBListGroupItem noBorders color='light' className='px-3 mb-2 rounded-3'>
                    A simple light list group item
                  </MDBListGroupItem>
                  <MDBListGroupItem noBorders color='dark' className='px-3 mb-2 rounded-3'>
                    A simple dark list group item
                  </MDBListGroupItem>
                </MDBListGroup>
              );
            }
          
        
    

color property also works with action property. Note the addition of the hover styles here not present in the previous example. Also supported is the active state; apply it to indicate an active selection on a contextual list group item.

        
            
            import React from 'react';
            import { MDBListGroup, MDBListGroupItem } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <div>
                  <MDBListGroup style={{ minWidth: '22rem' }} light>
                    <MDBListGroupItem tag='a' href='#' action noBorders className='px-3 rounded-3 mb-2'>
                      Dapibus ac facilisis in
                    </MDBListGroupItem>
                    <MDBListGroupItem tag='a' href='#' action noBorders color='primary' className='px-3 rounded-3 mb-2'>
                      A simple primary list group item
                    </MDBListGroupItem>
                    <MDBListGroupItem tag='a' href='#' action noBorders color='secondary' className='px-3 rounded-3 mb-2'>
                      A simple secondary list group item
                    </MDBListGroupItem>
                    <MDBListGroupItem tag='a' href='#' action noBorders color='success' className='px-3 rounded-3 mb-2'>
                      A simple success list group item
                    </MDBListGroupItem>
                    <MDBListGroupItem tag='a' href='#' action noBorders color='danger' className='px-3 rounded-3 mb-2'>
                      A simple danger list group item
                    </MDBListGroupItem>
                    <MDBListGroupItem tag='a' href='#' action noBorders color='warning' className='px-3 rounded-3 mb-2'>
                      A simple warning list group item
                    </MDBListGroupItem>
                    <MDBListGroupItem tag='a' href='#' action noBorders color='info' className='px-3 rounded-3 mb-2'>
                      A simple info list group item
                    </MDBListGroupItem>
                    <MDBListGroupItem tag='a' href='#' action noBorders color='light' className='px-3 rounded-3 mb-2'>
                      A simple light list group item
                    </MDBListGroupItem>
                    <MDBListGroupItem tag='a' href='#' action noBorders color='dark' className='px-3 rounded-3 mb-2'>
                      A simple dark list group item
                    </MDBListGroupItem>
                  </MDBListGroup>
                </div>
              );
            }
          
        
    

Conveying meaning to assistive technologies:
Using color to add meaning only provides a visual indication, which will not be conveyed to users of assistive technologies – such as screen readers. Ensure that information denoted by the color is either obvious from the content itself (e.g. the visible text), or is included through alternative means, such as additional text hidden with the .visually-hidden class.


Badges

Add badges to any list group item to show unread counts, activity, and more with the help of some flexbox utilities.

  • Cras justo odio 14
  • Dapibus ac facilisis in 2
  • Morbi leo risus 1
        
            
            import React from 'react';
            import { MDBListGroup, MDBListGroupItem, MDBBadge } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <MDBListGroup style={{ minWidth: '22rem' }} light>
                  <MDBListGroupItem className='d-flex justify-content-between align-items-center'>
                    Cras justo odio
                    <MDBBadge pill light>
                      14
                    </MDBBadge>
                  </MDBListGroupItem>
    
                  <MDBListGroupItem className='d-flex justify-content-between align-items-center'>
                    Dapibus ac facilisis in
                    <MDBBadge pill light>
                      2
                    </MDBBadge>
                  </MDBListGroupItem>
    
                  <MDBListGroupItem className='d-flex justify-content-between align-items-center'>
                    Morbi leo risus
                    <MDBBadge pill light>
                      1
                    </MDBBadge>
                  </MDBListGroupItem>
                </MDBListGroup>
              );
            }
          
        
    

Custom content

Add nearly any HTML within, even for linked list groups like the one below, with the help of flexbox utilities.

  • John Doe
    john.doe@gmail.com
    Active
  • Alex Ray
    alex.ray@gmail.com
    Onboarding
  • Kate Hunington
    kate.hunington@gmail.com
    Awaiting
        
            
            import React from 'react';
            import { MDBListGroup, MDBListGroupItem } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <MDBListGroup style={{ minWidth: '22rem' }} light>
                  <MDBListGroupItem className='d-flex justify-content-between align-items-center'>
                    <div>
                      <div className='fw-bold'>John Doe</div>
                      <div className='text-muted'>john.doe@gmail.com</div>
                    </div>
                    <MDBBadge pill light color='success'>
                      Active
                    </MDBBadge>
                  </MDBListGroupItem>
                  <MDBListGroupItem className='d-flex justify-content-between align-items-center'>
                    <div>
                      <div className='fw-bold'>Alex Ray</div>
                      <div className='text-muted'>alex.ray@gmail.com</div>
                    </div>
                    <MDBBadge pill light color='primary'>
                      Onboarding
                    </MDBBadge>
                  </MDBListGroupItem>
                  <MDBListGroupItem className='d-flex justify-content-between align-items-center'>
                    <div>
                      <div className='fw-bold'>Kate Hunington</div>
                      <div className='text-muted'>kate.hunington@gmail.com</div>
                    </div>
                    <MDBBadge pill light color='warning'>
                      Awaiting
                    </MDBBadge>
                  </MDBListGroupItem>
                </MDBListGroup>
              );
            }
          
        
    

Checkboxes

Place Bootstrap’s checkboxes and radios within list group items and customize as needed. You can use them without <label>s, but please remember to include an aria-label attribute and value for accessibility.

  • Cras justo odio
  • Dapibus ac facilisis in
  • Morbi leo risus
  • Porta ac consectetur ac
  • Vestibulum at eros
        
            
            import React from 'react';
            import { MDBListGroup, MDBListGroupItem, MDBCheckbox } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <MDBListGroup style={{ minWidth: '22rem' }} light>
                  <MDBListGroupItem>
                    <MDBCheckbox inline />
                    Cras justo odio
                  </MDBListGroupItem>
    
                  <MDBListGroupItem>
                    <MDBCheckbox inline />
                    Dapibus ac facilisis in
                  </MDBListGroupItem>
    
                  <MDBListGroupItem>
                    <MDBCheckbox inline />
                    Morbi leo risus
                  </MDBListGroupItem>
    
                  <MDBListGroupItem>
                    <MDBCheckbox inline />
                    Porta ac consectetur ac
                  </MDBListGroupItem>
    
                  <MDBListGroupItem>
                    <MDBCheckbox inline />
                    Vestibulum at eros
                  </MDBListGroupItem>
                </MDBListGroup>
              );
            }
          
        
    

And if you want tag="label"s as the <MDBListGroupItem> property for large hit areas, you can do that, too.

  •         
                
                import React from 'react';
                import { MDBListGroup, MDBListGroupItem, MDBCheckbox } from 'mdb-react-ui-kit';
        
                export default function App() {
                  return (
                    <MDBListGroup style={{ minWidth: '22rem' }} light>
                      <MDBListGroupItem tag='label'>
                        <MDBCheckbox label='Cras justo odio' />
                      </MDBListGroupItem>
        
                      <MDBListGroupItem tag='label'>
                        <MDBCheckbox label='Dapibus ac facilisis in' />
                      </MDBListGroupItem>
        
                      <MDBListGroupItem tag='label'>
                        <MDBCheckbox label='Morbi leo risus' />
                      </MDBListGroupItem>
        
                      <MDBListGroupItem tag='label'>
                        <MDBCheckbox label='Porta ac consectetur ac' />
                      </MDBListGroupItem>
        
                      <MDBListGroupItem tag='label'>
                        <MDBCheckbox label='Vestibulum at eros' />
                      </MDBListGroupItem>
                    </MDBListGroup>
                  );
                }
              
            
        

    JavaScript behavior

    Use the tab JavaScript plugin to extend our list group to create tabbable panes of local content.

            
                
                import React, { useState } from 'react';
                import { 
                  MDBCol, 
                  MDBListGroup, 
                  MDBListGroupItem, 
                  MDBRow, 
                  MDBTabs, 
                  MDBTabsContent, 
                  MDBTabsItem, 
                  MDBTabsLink 
                } from 'mdb-react-ui-kit';
        
                export default function App() {
                  const [basicActive, setBasicActive] = useState('home');
    
                  const handleBasicClick = (value: string) => {
                    if (value === basicActive) return;
    
                    setBasicActive(value);
                  }
    
                  return (
                    <MDBRow>
                      <MDBCol size={4}>
                        <MDBListGroup light small>
                          <MDBTabs>
                            <MDBListGroupItem action active={basicActive === 'home'} noBorders className='px-3'>
                              <MDBTabsItem>
                                <MDBTabsLink onClick={() => handleBasicClick('home')}>Home</MDBTabsLink>
                              </MDBTabsItem>
                            </MDBListGroupItem>
                            <MDBListGroupItem action active={basicActive === 'profile'} noBorders className='px-3'>
                              <MDBTabsItem>
                                <MDBTabsLink onClick={() => handleBasicClick('profile')}>Profile</MDBTabsLink>
                              </MDBTabsItem>
                            </MDBListGroupItem>
                            <MDBListGroupItem action active={basicActive === 'messages'} noBorders className='px-3'>
                              <MDBTabsItem>
                                <MDBTabsLink onClick={() => handleBasicClick('messages')}>Messages</MDBTabsLink>
                              </MDBTabsItem>
                            </MDBListGroupItem>
                            <MDBListGroupItem action active={basicActive === 'settings'} noBorders className='px-3'>
                              <MDBTabsItem>
                                <MDBTabsLink onClick={() => handleBasicClick('settings')}>Settings</MDBTabsLink>
                              </MDBTabsItem>
                            </MDBListGroupItem>
                          </MDBTabs>
                        </MDBListGroup>
                      </MDBCol>
    
                      <MDBCol size={8}>
                        <MDBTabsContent>
                          <MDBTabsPane open={basicActive === 'home'}>
                            Lorem ipsum dolor sit amet consectetur adipisicing elit. Labore impedit quibusdam exercitationem
                            eligendi voluptate doloribus non pariatur libero quod nobis mollitia odio dolore eos debitis iure,
                            autem quisquam ullam beatae.
                          </MDBTabsPane>
                          <MDBTabsPane open={basicActive === 'profile'}>
                            Ea eos asperiores deserunt reprehenderit voluptatem deleniti dolor iure eum consectetur commodi.
                          </MDBTabsPane>
                          <MDBTabsPane open={basicActive === 'messages'}>
                            Et perspiciatis facilis labore natus at necessitatibus. Sequi earum qui illum reiciendis? Excepturi,
                            dicta consequuntur, voluptas aspernatur, quis laboriosam exercitationem quasi officia tempore iste
                            assumenda aliquam.
                          </MDBTabsPane>
                          <MDBTabsPane open={basicActive === 'settings'}>
                            Praesentium asperiores nemo ratione quas atque excepturi odio aliquid libero, architecto aspernatur
                            expedita, corrupti, rem odit quos exercitationem maxime at. Ex, eveniet rerum laborum accusamus
                            delectus magnam maxime!
                          </MDBTabsPane>
                        </MDBTabsContent>
                      </MDBCol>
                    </MDBRow>
                  );
                }
              
            
        

    Additional examples

    A few additional, practical examples with different types of content and elements.

    Images

    • John Doe

      john.doe@gmail.com

      Active
    • Alex Ray

      alex.ray@gmail.com

      Onboarding
    • Kate Hunington

      kate.hunington@gmail.com

      Awaiting
            
                
                  import React from 'react';
                  import { MDBBadge, MDBListGroup, MDBListGroupItem } from 'mdb-react-ui-kit';
      
                  export default function App() {
                    return (
                      <MDBListGroup style={{ minWidth: '22rem' }} light>
                        <MDBListGroupItem className='d-flex justify-content-between align-items-center'>
                          <div className='d-flex align-items-center'>
                            <img
                              src='https://mdbootstrap.com/img/new/avatars/8.jpg'
                              alt=''
                              style={{ width: '45px', height: '45px' }}
                              className='rounded-circle'
                            />
                            <div className='ms-3'>
                              <p className='fw-bold mb-1'>John Doe</p>
                              <p className='text-muted mb-0'>john.doe@gmail.com</p>
                            </div>
                          </div>
                          <MDBBadge pill light color='success'>
                            Active
                          </MDBBadge>
                        </MDBListGroupItem>
                        <MDBListGroupItem className='d-flex justify-content-between align-items-center'>
                          <div className='d-flex align-items-center'>
                            <img
                              src='https://mdbootstrap.com/img/new/avatars/6.jpg'
                              alt=''
                              style={{ width: '45px', height: '45px' }}
                              className='rounded-circle'
                            />
                            <div className='ms-3'>
                              <p className='fw-bold mb-1'>Alex Ray</p>
                              <p className='text-muted mb-0'>alex.ray@gmail.com</p>
                            </div>
                          </div>
                          <MDBBadge pill light color='primary'>
                            Onboarding
                          </MDBBadge>
                        </MDBListGroupItem>
                        <MDBListGroupItem className='d-flex justify-content-between align-items-center'>
                          <div className='d-flex align-items-center'>
                            <img
                              src='https://mdbootstrap.com/img/new/avatars/7.jpg'
                              alt=''
                              style={{ width: '45px', height: '45px' }}
                              className='rounded-circle'
                            />
                            <div className='ms-3'>
                              <p className='fw-bold mb-1'>Kate Hunington</p>
                              <p className='text-muted mb-0'>kate.hunington@gmail.com</p>
                            </div>
                          </div>
                          <MDBBadge pill light color='warning'>
                            Awaiting
                          </MDBBadge>
                        </MDBListGroupItem>
                      </MDBListGroup>
                    );
                  }
                
            
        

    Headings

    Marketing team
    • John Doe

      john.doe@gmail.com

    • Alex Ray

      alex.ray@gmail.com

    • Kate Hunington

      kate.hunington@gmail.com

    Design team
    • Soraya Letto

      soraya.letto@gmail.com

    • Zeynep Dudley

      zeynep.dudley@gmail.com

    • Ayat Black

      ayat.black@gmail.com

            
                
                  import React from 'react';
                  import { MDBListGroup, MDBListGroupItem } from 'mdb-react-ui-kit';
          
                  export default function App() {
                    return (
                      <div style={{ minWidth: '22rem' }}>
                        <h6 className='bg-light p-2 border-top border-bottom'>Marketing team</h6>
                        <MDBListGroup light className='mb-4'>
                          <MDBListGroupItem className='d-flex justify-content-between align-items-center'>
                            <div className='d-flex align-items-center'>
                              <img
                                src='https://mdbootstrap.com/img/new/avatars/8.jpg'
                                alt=''
                                style={{ width: '45px', height: '45px' }}
                                className='rounded-circle'
                              />
                              <div className='ms-3'>
                                <p className='fw-bold mb-1'>John Doe</p>
                                <p className='text-muted mb-0'>john.doe@gmail.com</p>
                              </div>
                            </div>
                          </MDBListGroupItem>
                          <MDBListGroupItem className='d-flex justify-content-between align-items-center'>
                            <div className='d-flex align-items-center'>
                              <img
                                src='https://mdbootstrap.com/img/new/avatars/6.jpg'
                                alt=''
                                style={{ width: '45px', height: '45px' }}
                                className='rounded-circle'
                              />
                              <div className='ms-3'>
                                <p className='fw-bold mb-1'>Alex Ray</p>
                                <p className='text-muted mb-0'>alex.ray@gmail.com</p>
                              </div>
                            </div>
                          </MDBListGroupItem>
                          <MDBListGroupItem className='d-flex justify-content-between align-items-center'>
                            <div className='d-flex align-items-center'>
                              <img
                                src='https://mdbootstrap.com/img/new/avatars/7.jpg'
                                alt=''
                                style={{ width: '45px', height: '45px' }}
                                className='rounded-circle'
                              />
                              <div className='ms-3'>
                                <p className='fw-bold mb-1'>Kate Hunington</p>
                                <p className='text-muted mb-0'>kate.hunington@gmail.com</p>
                              </div>
                            </div>
                          </MDBListGroupItem>
                        </MDBListGroup>
    
                        <h6 className='bg-light p-2 border-top border-bottom'>Marketing team</h6>
    
                        <MDBListGroup light className='mb-4'>
                          <MDBListGroupItem className='d-flex justify-content-between align-items-center'>
                            <div className='d-flex align-items-center'>
                              <img
                                src='https://mdbootstrap.com/img/new/avatars/9.jpg'
                                alt=''
                                style={{ width: '45px', height: '45px' }}
                                className='rounded-circle'
                              />
                              <div className='ms-3'>
                                <p className='fw-bold mb-1'>Soraya Letto</p>
                                <p className='text-muted mb-0'>soraya.letto@gmail.com</p>
                              </div>
                            </div>
                          </MDBListGroupItem>
                          <MDBListGroupItem className='d-flex justify-content-between align-items-center'>
                            <div className='d-flex align-items-center'>
                              <img
                                src='https://mdbootstrap.com/img/new/avatars/11.jpg'
                                alt=''
                                style={{ width: '45px', height: '45px' }}
                                className='rounded-circle'
                              />
                              <div className='ms-3'>
                                <p className='fw-bold mb-1'>Zeynep Dudley</p>
                                <p className='text-muted mb-0'>zeynep.dudley@gmail.com</p>
                              </div>
                            </div>
                          </MDBListGroupItem>
                          <MDBListGroupItem className='d-flex justify-content-between align-items-center'>
                            <div className='d-flex align-items-center'>
                              <img
                                src='https://mdbootstrap.com/img/new/avatars/15.jpg'
                                alt=''
                                style={{ width: '45px', height: '45px' }}
                                className='rounded-circle'
                              />
                              <div className='ms-3'>
                                <p className='fw-bold mb-1'>Ayat Black</p>
                                <p className='text-muted mb-0'>ayat.black@gmail.com</p>
                              </div>
                            </div>
                          </MDBListGroupItem>
                        </MDBListGroup>
                      </div>
                    );
                  }
                
            
        

    Action buttons

    • John Doe

      john.doe@gmail.com

      View
    • Alex Ray

      alex.ray@gmail.com

      View
    • Kate Hunington

      kate.hunington@gmail.com

      View
            
                
                  import React from 'react';
                  import { MDBBadge, MDBListGroup, MDBListGroupItem } from 'mdb-react-ui-kit';
          
                  export default function App() {
                    return (
                      <MDBListGroup style={{ minWidth: '22rem' }} light>
                        <MDBListGroupItem className='d-flex justify-content-between align-items-center'>
                          <div className='d-flex align-items-center'>
                            <img
                              src='https://mdbootstrap.com/img/new/avatars/8.jpg'
                              alt=''
                              style={{ width: '45px', height: '45px' }}
                              className='rounded-circle'
                            />
                            <div className='ms-3'>
                              <p className='fw-bold mb-1'>John Doe</p>
                              <p className='text-muted mb-0'>john.doe@gmail.com</p>
                            </div>
                          </div>
                          <MDBBtn size='sm' rounded color='link'>
                            View
                          </MDBBtn>
                        </MDBListGroupItem>
                        <MDBListGroupItem className='d-flex justify-content-between align-items-center'>
                          <div className='d-flex align-items-center'>
                            <img
                              src='https://mdbootstrap.com/img/new/avatars/6.jpg'
                              alt=''
                              style={{ width: '45px', height: '45px' }}
                              className='rounded-circle'
                            />
                            <div className='ms-3'>
                              <p className='fw-bold mb-1'>Alex Ray</p>
                              <p className='text-muted mb-0'>alex.ray@gmail.com</p>
                            </div>
                          </div>
                          <MDBBtn size='sm' rounded color='link'>
                            View
                          </MDBBtn>
                        </MDBListGroupItem>
                        <MDBListGroupItem className='d-flex justify-content-between align-items-center'>
                          <div className='d-flex align-items-center'>
                            <img
                              src='https://mdbootstrap.com/img/new/avatars/7.jpg'
                              alt=''
                              style={{ width: '45px', height: '45px' }}
                              className='rounded-circle'
                            />
                            <div className='ms-3'>
                              <p className='fw-bold mb-1'>Kate Hunington</p>
                              <p className='text-muted mb-0'>kate.hunington@gmail.com</p>
                            </div>
                          </div>
                          <MDBBtn size='sm' rounded color='link'>
                            View
                          </MDBBtn>
                        </MDBListGroupItem>
                      </MDBListGroup>
                    );
                  }
                
            
        

    CTA

    • Our company starts its operations

      11 March 2020

      Lorem ipsum dolor sit amet consectetur adipisicing elit. Sit necessitatibus adipisci, ad alias, voluptate pariatur officia repellendus repellat inventore fugit perferendis totam dolor voluptas et corrupti distinctio maxime corporis optio?

    • First customer

      19 March 2020

      Quisque ornare dui nibh, sagittis egestas nisi luctus nec. Sed aliquet laoreet sapien, eget pulvinar lectus maximus vel. Phasellus suscipit porta mattis.

    • Our team exceeds 10 people

      24 June 2020

      Orci varius natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla ullamcorper arcu lacus, maximus facilisis erat pellentesque nec. Duis et dui maximus dui aliquam convallis. Quisque consectetur purus erat, et ullamcorper sapien tincidunt vitae.

    View all
            
                
                  import React from 'react';
                  import { MDBBtn, MDBListGroup, MDBListGroupItem } from 'mdb-react-ui-kit';
          
                  export default function App() {
                    return (
                      <div style={{ maxWidth: '22rem' }}>
                        <MDBListGroup style={{ minWidth: '22rem' }} light className='mb-3'>
                          <MDBListGroupItem>
                            <h5 className='fw-bold'>Our company starts its operations</h5>
                            <p className='text-muted mb-2 fw-bold'>11 March 2020</p>
                            <p className='text-muted mb-0'>
                              Lorem ipsum dolor sit amet consectetur adipisicing elit. Sit necessitatibus adipisci, ad alias,
                              voluptate pariatur officia repellendus repellat inventore fugit perferendis totam dolor voluptas
                              et corrupti distinctio maxime corporis optio?
                            </p>
                          </MDBListGroupItem>
                          <MDBListGroupItem>
                            <h5 className='fw-bold'>First customer</h5>
                            <p className='text-muted mb-2 fw-bold'>19 March 2020</p>
                            <p className='text-muted mb-0'>
                              Quisque ornare dui nibh, sagittis egestas nisi luctus nec. Sed aliquet laoreet sapien, eget
                              pulvinar lectus maximus vel. Phasellus suscipit porta mattis.
                            </p>
                          </MDBListGroupItem>
                          <MDBListGroupItem>
                            <h5 className='fw-bold'>Our team exceeds 10 people</h5>
                            <p className='text-muted mb-2 fw-bold'>24 June 2020</p>
                            <p className='text-muted mb-0'>
                              Orci varius natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla
                              ullamcorper arcu lacus, maximus facilisis erat pellentesque nec. Duis et dui maximus dui aliquam
                              convallis. Quisque consectetur purus erat, et ullamcorper sapien tincidunt vitae.
                            </p>
                          </MDBListGroupItem>
                        </MDBListGroup>
                        <MDBBtn outline rounded rippleColor='dark' color='dark' className='w-100'>
                          View all
                        </MDBBtn>
                      </div>
                    );
                  }
                
            
        

    Grid list

    John Doe

    john.doe@gmail.com

    Alex Ray

    alex.ray@gmail.com

    Kate Hunington

    kate.hunington@gmail.com

    Soraya Letto

    soraya.letto@gmail.com

    Zeynep Dudley

    zeynep.dudley@gmail.com

    Ayat Black

    ayat.black@gmail.com

            
                
                    import React from 'react';
                    import { 
                      MDBCard, 
                      MDBCardBody, 
                      MDBCol, 
                      MDBListGroup, 
                      MDBListGroupItem, 
                      MDBRow 
                    } from 'mdb-react-ui-kit';
            
                    export default function App() {
                      return (
                        <MDBRow>
                          <MDBCol xl={4} lg={6} className='mb-4'>
                            <MDBCard>
                              <MDBCardBody>
                                <div className='d-flex align-items-center'>
                                  <img
                                    src='https://mdbootstrap.com/img/new/avatars/8.jpg'
                                    alt=''
                                    style={{ width: '45px', height: '45px' }}
                                    className='rounded-circle'
                                  />
                                  <div className='ms-3'>
                                    <p className='fw-bold mb-1'>John Doe</p>
                                    <p className='text-muted mb-0'>john.doe@gmail.com</p>
                                  </div>
                                </div>
                              </MDBCardBody>
                            </MDBCard>
                          </MDBCol>
                          <MDBCol xl={4} lg={6} className='mb-4'>
                            <MDBCard>
                              <MDBCardBody>
                                <div className='d-flex align-items-center'>
                                  <img
                                    src='https://mdbootstrap.com/img/new/avatars/6.jpg'
                                    alt=''
                                    style={{ width: '45px', height: '45px' }}
                                    className='rounded-circle'
                                  />
                                  <div className='ms-3'>
                                    <p className='fw-bold mb-1'>Alex Ray</p>
                                    <p className='text-muted mb-0'>alex.ray@gmail.com</p>
                                  </div>
                                </div>
                              </MDBCardBody>
                            </MDBCard>
                          </MDBCol>
                          <MDBCol xl={4} lg={6} className='mb-4'>
                            <MDBCard>
                              <MDBCardBody>
                                <div className='d-flex align-items-center'>
                                  <img
                                    src='https://mdbootstrap.com/img/new/avatars/7.jpg'
                                    alt=''
                                    style={{ width: '45px', height: '45px' }}
                                    className='rounded-circle'
                                  />
                                  <div className='ms-3'>
                                    <p className='fw-bold mb-1'>Kate Hunington</p>
                                    <p className='text-muted mb-0'>kate.hunington@gmail.com</p>
                                  </div>
                                </div>
                              </MDBCardBody>
                            </MDBCard>
                          </MDBCol>
                          <MDBCol xl={4} lg={6} className='mb-4'>
                            <MDBCard>
                              <MDBCardBody>
                                <div className='d-flex align-items-center'>
                                  <img
                                    src='https://mdbootstrap.com/img/new/avatars/9.jpg'
                                    alt=''
                                    style={{ width: '45px', height: '45px' }}
                                    className='rounded-circle'
                                  />
                                  <div className='ms-3'>
                                    <p className='fw-bold mb-1'>Soraya Letto</p>
                                    <p className='text-muted mb-0'>soraya.letto@gmail.com</p>
                                  </div>
                                </div>
                              </MDBCardBody>
                            </MDBCard>
                          </MDBCol>
                          <MDBCol xl={4} lg={6} className='mb-4'>
                            <MDBCard>
                              <MDBCardBody>
                                <div className='d-flex align-items-center'>
                                  <img
                                    src='https://mdbootstrap.com/img/new/avatars/11.jpg'
                                    alt=''
                                    style={{ width: '45px', height: '45px' }}
                                    className='rounded-circle'
                                  />
                                  <div className='ms-3'>
                                    <p className='fw-bold mb-1'>Zeynep Dudley</p>
                                    <p className='text-muted mb-0'>zeynep.dudley@gmail.com</p>
                                  </div>
                                </div>
                              </MDBCardBody>
                            </MDBCard>
                          </MDBCol>
                          <MDBCol xl={4} lg={6} className='mb-4'>
                            <MDBCard>
                              <MDBCardBody>
                                <div className='d-flex align-items-center'>
                                  <img
                                    src='https://mdbootstrap.com/img/new/avatars/15.jpg'
                                    alt=''
                                    style={{ width: '45px', height: '45px' }}
                                    className='rounded-circle'
                                  />
                                  <div className='ms-3'>
                                    <p className='fw-bold mb-1'>Ayat Black</p>
                                    <p className='text-muted mb-0'>ayat.black@gmail.com</p>
                                  </div>
                                </div>
                              </MDBCardBody>
                            </MDBCard>
                          </MDBCol>
                        </MDBRow>
                      );
                    }
                  
            
        

    Complex grid list

    John Doe

    john.doe@gmail.com

    Active

    Alex Ray

    alex.ray@gmail.com

    Onboarding

    Kate Hunington

    kate.hunington@gmail.com

    Awaiting

    Michael Bale

    michael.bale@gmail.com

    Removed
            
                
                    import React from 'react';
                    import { 
                      MDBCard, 
                      MDBCardBody,
                      MDBCardFooter, 
                      MDBCol,
                      MDBIcon, 
                      MDBListGroup, 
                      MDBListGroupItem, 
                      MDBRow 
                    } from 'mdb-react-ui-kit';
            
                    export default function App() {
                      return (
                        <MDBRow>
                          <MDBCol xl={6} className='mb-4'>
                            <MDBCard>
                              <MDBCardBody>
                                <div className='d-flex justify-content-between align-items-center'>
                                  <div className='d-flex align-items-center'>
                                    <img
                                      src='https://mdbootstrap.com/img/new/avatars/8.jpg'
                                      alt=''
                                      style={{ width: '45px', height: '45px' }}
                                      className='rounded-circle'
                                    />
                                    <div className='ms-3'>
                                      <p className='fw-bold mb-1'>John Doe</p>
                                      <p className='text-muted mb-0'>john.doe@gmail.com</p>
                                    </div>
                                  </div>
                                  <MDBBadge pill color='success' light>
                                    Active
                                  </MDBBadge>
                                </div>
                              </MDBCardBody>
                              <MDBCardFooter background='light' border='0' className='p-2 d-flex justify-content-around'>
                                <MDBBtn color='link' rippleColor='primary' className='text-reset m-0'>
                                  Message <MDBIcon fas icon='envelope' />
                                </MDBBtn>
                                <MDBBtn color='link' rippleColor='primary' className='text-reset m-0'>
                                  Call <MDBIcon fas icon='phone' />
                                </MDBBtn>
                              </MDBCardFooter>
                            </MDBCard>
                          </MDBCol>
                          <MDBCol xl={6} className='mb-4'>
                            <MDBCard>
                              <MDBCardBody>
                                <div className='d-flex justify-content-between align-items-center'>
                                  <div className='d-flex align-items-center'>
                                    <img
                                      src='https://mdbootstrap.com/img/new/avatars/6.jpg'
                                      alt=''
                                      style={{ width: '45px', height: '45px' }}
                                      className='rounded-circle'
                                    />
                                    <div className='ms-3'>
                                      <p className='fw-bold mb-1'>Alex Ray</p>
                                      <p className='text-muted mb-0'>alex.ray@gmail.com</p>
                                    </div>
                                  </div>
                                  <MDBBadge pill color='primary' light>
                                    Onboarding
                                  </MDBBadge>
                                </div>
                              </MDBCardBody>
                              <MDBCardFooter background='light' border='0' className='p-2 d-flex justify-content-around'>
                                <MDBBtn color='link' rippleColor='primary' className='text-reset m-0'>
                                  Message <MDBIcon fas icon='envelope' />
                                </MDBBtn>
                                <MDBBtn color='link' rippleColor='primary' className='text-reset m-0'>
                                  Call <MDBIcon fas icon='phone' />
                                </MDBBtn>
                              </MDBCardFooter>
                            </MDBCard>
                          </MDBCol>
                          <MDBCol xl={6} className='mb-4'>
                            <MDBCard>
                              <MDBCardBody>
                                <div className='d-flex justify-content-between align-items-center'>
                                  <div className='d-flex align-items-center'>
                                    <img
                                      src='https://mdbootstrap.com/img/new/avatars/7.jpg'
                                      alt=''
                                      style={{ width: '45px', height: '45px' }}
                                      className='rounded-circle'
                                    />
                                    <div className='ms-3'>
                                      <p className='fw-bold mb-1'>Kate Hunington</p>
                                      <p className='text-muted mb-0'>kate.hunington@gmail.com</p>
                                    </div>
                                  </div>
                                  <MDBBadge pill color='warning' light>
                                    Awaiting
                                  </MDBBadge>
                                </div>
                              </MDBCardBody>
                              <MDBCardFooter background='light' border='0' className='p-2 d-flex justify-content-around'>
                                <MDBBtn color='link' rippleColor='primary' className='text-reset m-0'>
                                  Message <MDBIcon fas icon='envelope' />
                                </MDBBtn>
                                <MDBBtn color='link' rippleColor='primary' className='text-reset m-0'>
                                  Call <MDBIcon fas icon='phone' />
                                </MDBBtn>
                              </MDBCardFooter>
                            </MDBCard>
                          </MDBCol>
                          <MDBCol xl={6} className='mb-4'>
                            <MDBCard>
                              <MDBCardBody>
                                <div className='d-flex justify-content-between align-items-center'>
                                  <div className='d-flex align-items-center'>
                                    <img
                                      src='https://mdbootstrap.com/img/new/avatars/3.jpg'
                                      alt=''
                                      style={{ width: '45px', height: '45px' }}
                                      className='rounded-circle'
                                    />
                                    <div className='ms-3'>
                                      <p className='fw-bold mb-1'>Michael Bale</p>
                                      <p className='text-muted mb-0'>michael.bale@gmail.com</p>
                                    </div>
                                  </div>
                                  <MDBBadge pill color='danger' light>
                                    Removed
                                  </MDBBadge>
                                </div>
                              </MDBCardBody>
                              <MDBCardFooter background='light' border='0' className='p-2 d-flex justify-content-around'>
                                <MDBBtn color='link' rippleColor='primary' className='text-reset m-0'>
                                  Message <MDBIcon fas icon='envelope' />
                                </MDBBtn>
                                <MDBBtn color='link' rippleColor='primary' className='text-reset m-0'>
                                  Call <MDBIcon fas icon='phone' />
                                </MDBBtn>
                              </MDBCardFooter>
                            </MDBCard>
                          </MDBCol>
                        </MDBRow>
                      );
                    }
                  
            
        

    PAY ONCE

    USE FOREVER

    Hurry up ⌛ claim exclusive long term passes available only during Cyber Weeks

    List group - API


    Import

            
                
              import { MDBListGroup, MDBListGroupItem } from 'mdb-react-ui-kit';
            
            
        

    Properties

    MDBListGroup

    Name Type Default Description Example
    horizontal Boolean '' Creates a horizontal list group <MDBListGroup horizontal />
    horizontalSize String '' Allows to set a horizontal breakpoint, if the horizontal property is set <MDBListGroup horizontal horizontalSize="lg" />
    light Boolean '' Render an MDBListGroup component without some borders <MDBListGroup light />
    numbered Boolean '' Render an MDBListGroup component with numbered items. <MDBListGroup numbered />
    small Boolean '' Reduce the padding of the items in the list. <MDBListGroup small />
    tag String 'ul' Defines tag of the MDBListGroup element <MDBListGroup tag="ol" />

    MDBListGroupItem

    Name Type Default Description Example
    action Boolean '' Makes an MDBListGroupItem component actionable <MDBListGroupItem action />
    active Boolean '' Adds an .active class to the MDBListGroupItem <MDBListGroupItem active />
    color String '' Sets a color for the MDBListGroupItem component <MDBListGroupItem color="secondary" />
    disabled Boolean '' Disables an MDBListGroupItem component <MDBListGroupItem disabled />
    noBorders Boolean '' Remove all the borders from the item. <MDBListGroupItem noBorders />
    tag String 'li' Defines tag of the MDBListGroupItem element <MDBListGroupItem tag="a" />

    CSS variables

    As part of MDB’s evolving CSS variables approach, list group now uses local CSS variables on .list-group for enhanced real-time customization. Values for the CSS variables are set via Sass, so Sass customization is still supported, too.

            
                
                // .list-group
                --#{$prefix}list-group-color: #{$list-group-color};
                --#{$prefix}list-group-bg: #{$list-group-bg};
                --#{$prefix}list-group-border-color: #{$list-group-border-color};
                --#{$prefix}list-group-border-width: #{$list-group-border-width};
                --#{$prefix}list-group-border-radius: #{$list-group-border-radius};
                --#{$prefix}list-group-item-padding-x: #{$list-group-item-padding-x};
                --#{$prefix}list-group-item-padding-y: #{$list-group-item-padding-y};
                --#{$prefix}list-group-item-transition-time: #{$list-group-item-transition-time};
                --#{$prefix}list-group-action-color: #{$list-group-action-color};
                --#{$prefix}list-group-action-hover-color: #{$list-group-action-hover-color};
                --#{$prefix}list-group-action-hover-bg: #{$list-group-hover-bg};
                --#{$prefix}list-group-action-active-color: #{$list-group-action-active-color};
                --#{$prefix}list-group-action-active-bg: #{$list-group-action-active-bg};
                --#{$prefix}list-group-disabled-color: #{$list-group-disabled-color};
                --#{$prefix}list-group-disabled-bg: #{$list-group-disabled-bg};
                --#{$prefix}list-group-active-color: #{$list-group-active-color};
                --#{$prefix}list-group-active-bg: #{$list-group-active-bg};
                --#{$prefix}list-group-active-border-color: #{$list-group-active-border-color};
    
                // .list-group-light
                --#{$prefix}list-group-light-item-py: #{$list-group-light-item-py};
                --#{$prefix}list-group-light-item-border: #{$list-group-light-item-border};
                --#{$prefix}list-group-light-item-border-width: #{$list-group-light-item-border-width};
                --#{$prefix}list-group-light-active-border-radius: #{$list-group-light-active-border-radius};
                --#{$prefix}list-group-light-active-bg: #{$list-group-light-active-bg};
                --#{$prefix}list-group-light-active-color: #{$list-group-light-active-color};
                
                // .list-group-small
                --#{$prefix}list-group-small-item-py: #{$list-group-small-item-py};
              
            
        

    SCSS variables

            
                
                $list-group-border-radius: $border-radius-lg;
                $list-group-border-color: rgba($black, 0.125);
                $list-group-border-width: $border-width;
                $list-group-item-padding-x: 1.5rem;
                $list-group-item-padding-y: $spacer * 0.5;
                $list-group-item-bg-scale: -80%;
                $list-group-item-color-scale: 40%;
                $list-group-item-transition-time: 0.5s;
                $list-group-color: $body-color;
                $list-group-light-item-py: 1rem;
                $list-group-light-item-border: 2px solid hsl(0, 0%, 96%);
                $list-group-light-item-border-width: 2px;
                $list-group-light-active-border-radius: 0.5rem;
                $list-group-light-active-bg: rgb(223, 231, 246);
                $list-group-light-active-color: rgb(44, 88, 160);
                $list-group-small-item-py: 0.5rem;
                $list-group-active-bg: rgb(223, 231, 246);
                $list-group-active-color: rgb(44, 88, 160);
                $list-group-active-border-color: $list-group-active-bg;
                $list-group-color: $gray-900;
                $list-group-bg: $white;
                $list-group-hover-bg: $gray-100;
                $list-group-active-color: $component-active-color;
                $list-group-active-bg: $component-active-bg;
                $list-group-active-border-color: $list-group-active-bg;
                $list-group-disabled-color: $gray-600;
                $list-group-disabled-bg: $list-group-bg;
                $list-group-action-color: $gray-700;
                $list-group-action-hover-color: $list-group-action-color;
                $list-group-action-active-color: $body-color;
                $list-group-action-active-bg: $gray-200;